/* DatabaseTable.c generated by valac 0.18.1, the Vala compiler
 * generated from DatabaseTable.vala, do not modify */

/* Copyright 2009-2013 Yorba Foundation
 *
 * This software is licensed under the GNU LGPL (version 2.1 or later).
 * See the COPYING file in this distribution.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <sqlite3.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <gobject/gvaluecollector.h>


#define TYPE_DATABASE_TABLE (database_table_get_type ())
#define DATABASE_TABLE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DATABASE_TABLE, DatabaseTable))
#define DATABASE_TABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DATABASE_TABLE, DatabaseTableClass))
#define IS_DATABASE_TABLE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DATABASE_TABLE))
#define IS_DATABASE_TABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DATABASE_TABLE))
#define DATABASE_TABLE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DATABASE_TABLE, DatabaseTableClass))

typedef struct _DatabaseTable DatabaseTable;
typedef struct _DatabaseTableClass DatabaseTableClass;
typedef struct _DatabaseTablePrivate DatabaseTablePrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _sqlite3_close0(var) ((var == NULL) ? NULL : (var = (sqlite3_close (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _sqlite3_finalize0(var) ((var == NULL) ? NULL : (var = (sqlite3_finalize (var), NULL)))
typedef struct _ParamSpecDatabaseTable ParamSpecDatabaseTable;
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

typedef enum  {
	DATABASE_ERROR_ERROR,
	DATABASE_ERROR_BACKING,
	DATABASE_ERROR_MEMORY,
	DATABASE_ERROR_ABORT,
	DATABASE_ERROR_LIMITS,
	DATABASE_ERROR_TYPESPEC
} DatabaseError;
#define DATABASE_ERROR database_error_quark ()
struct _DatabaseTable {
	GTypeInstance parent_instance;
	volatile int ref_count;
	DatabaseTablePrivate * priv;
	gchar* table_name;
};

struct _DatabaseTableClass {
	GTypeClass parent_class;
	void (*finalize) (DatabaseTable *self);
};

struct _ParamSpecDatabaseTable {
	GParamSpec parent_instance;
};


static gpointer database_table_parent_class = NULL;
extern sqlite3* database_table_db;
sqlite3* database_table_db = NULL;
static gint database_table_in_transaction;
static gint database_table_in_transaction = 0;

GQuark database_error_quark (void);
gpointer database_table_ref (gpointer instance);
void database_table_unref (gpointer instance);
GParamSpec* param_spec_database_table (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_database_table (GValue* value, gpointer v_object);
void value_take_database_table (GValue* value, gpointer v_object);
gpointer value_get_database_table (const GValue* value);
GType database_table_get_type (void) G_GNUC_CONST;
enum  {
	DATABASE_TABLE_DUMMY_PROPERTY
};
#define DATABASE_TABLE_SCHEMA_VERSION 19
static void database_table_prepare_db (const gchar* filename);
void app_window_panic (const gchar* msg);
#define DB_IN_MEMORY_NAME ":memory:"
void database_table_init (const gchar* filename);
void database_table_warning (const gchar* op, gint res);
void database_table_terminate (void);
void database_table_fatal (const gchar* op, gint res);
void database_table_set_table_name (DatabaseTable* self, const gchar* table_name);
void database_table_throw_error (const gchar* method, gint res, GError** error);
gboolean database_table_exists_by_id (DatabaseTable* self, gint64 id);
gboolean database_table_select_by_id (DatabaseTable* self, gint64 id, const gchar* columns, sqlite3_stmt** stmt);
static void database_table_prepare_update_by_id (DatabaseTable* self, gint64 id, const gchar* column, sqlite3_stmt** stmt);
static gboolean database_table_execute_update_by_id (DatabaseTable* self, sqlite3_stmt* stmt);
gboolean database_table_update_text_by_id (DatabaseTable* self, gint64 id, const gchar* column, const gchar* text);
void database_table_update_text_by_id_2 (DatabaseTable* self, gint64 id, const gchar* column, const gchar* text, GError** error);
gboolean database_table_update_int_by_id (DatabaseTable* self, gint64 id, const gchar* column, gint value);
void database_table_update_int_by_id_2 (DatabaseTable* self, gint64 id, const gchar* column, gint value, GError** error);
gboolean database_table_update_int64_by_id (DatabaseTable* self, gint64 id, const gchar* column, gint64 value);
void database_table_update_int64_by_id_2 (DatabaseTable* self, gint64 id, const gchar* column, gint64 value, GError** error);
void database_table_delete_by_id (DatabaseTable* self, gint64 id, GError** error);
gboolean database_table_has_column (const gchar* table_name, const gchar* column_name);
gboolean database_table_has_table (const gchar* table_name);
gboolean database_table_add_column (const gchar* table_name, const gchar* column_name, const gchar* column_constraints);
gboolean database_table_ensure_column (const gchar* table_name, const gchar* column_name, const gchar* column_constraints, const gchar* upgrade_msg);
gint database_table_get_row_count (DatabaseTable* self);
void database_table_begin_transaction (void);
void database_table_commit_transaction (GError** error);
DatabaseTable* database_table_construct (GType object_type);
static void database_table_finalize (DatabaseTable* obj);


GQuark database_error_quark (void) {
	return g_quark_from_static_string ("database_error-quark");
}


static void database_table_prepare_db (const gchar* filename) {
	const gchar* _tmp0_;
	sqlite3* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	gint res;
	gint _tmp3_;
	const gchar* _tmp9_;
	GError * _inner_error_ = NULL;
#line 32 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (filename != NULL);
#line 34 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = filename;
#line 34 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = sqlite3_open_v2 (_tmp0_, &_tmp1_, SQLITE_OPEN_READWRITE | SQLITE_OPEN_CREATE, NULL);
#line 34 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_close0 (database_table_db);
#line 34 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_db = _tmp1_;
#line 34 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp2_;
#line 36 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = res;
#line 36 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp3_ != SQLITE_OK) {
#line 143 "DatabaseTable.c"
		const gchar* _tmp4_ = NULL;
		const gchar* _tmp5_;
		gint _tmp6_;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_;
#line 37 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp4_ = _ ("Unable to open/create photo database %s: error code %d");
#line 37 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp5_ = filename;
#line 37 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp6_ = res;
#line 37 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp7_ = g_strdup_printf (_tmp4_, _tmp5_, _tmp6_);
#line 37 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp8_ = _tmp7_;
#line 37 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		app_window_panic (_tmp8_);
#line 37 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp8_);
#line 163 "DatabaseTable.c"
	}
#line 41 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = filename;
#line 41 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (g_strcmp0 (_tmp9_, DB_IN_MEMORY_NAME) != 0) {
#line 169 "DatabaseTable.c"
		{
			const gchar* _tmp10_;
			GFile* _tmp11_ = NULL;
			GFile* file_db;
			GFile* _tmp12_;
			GFileInfo* _tmp13_ = NULL;
			GFileInfo* info;
			GFileInfo* _tmp14_;
			gboolean _tmp15_ = FALSE;
#line 43 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp10_ = filename;
#line 43 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp11_ = g_file_new_for_path (_tmp10_);
#line 43 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			file_db = _tmp11_;
#line 44 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp12_ = file_db;
#line 44 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp13_ = g_file_query_info (_tmp12_, G_FILE_ATTRIBUTE_ACCESS_CAN_WRITE, G_FILE_QUERY_INFO_NONE, NULL, &_inner_error_);
#line 44 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			info = _tmp13_;
#line 44 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_ != NULL) {
#line 44 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_object_unref0 (file_db);
#line 195 "DatabaseTable.c"
				goto __catch12_g_error;
			}
#line 45 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp14_ = info;
#line 45 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp15_ = g_file_info_get_attribute_boolean (_tmp14_, G_FILE_ATTRIBUTE_ACCESS_CAN_WRITE);
#line 45 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (!_tmp15_) {
#line 204 "DatabaseTable.c"
				const gchar* _tmp16_ = NULL;
				const gchar* _tmp17_;
				gchar* _tmp18_ = NULL;
				gchar* _tmp19_;
#line 46 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_tmp16_ = _ ("Unable to write to photo database file:\n %s");
#line 46 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_tmp17_ = filename;
#line 46 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_tmp18_ = g_strdup_printf (_tmp16_, _tmp17_);
#line 46 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_tmp19_ = _tmp18_;
#line 46 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				app_window_panic (_tmp19_);
#line 46 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (_tmp19_);
#line 221 "DatabaseTable.c"
			}
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_g_object_unref0 (info);
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_g_object_unref0 (file_db);
#line 227 "DatabaseTable.c"
		}
		goto __finally12;
		__catch12_g_error:
		{
			GError* e = NULL;
			const gchar* _tmp20_ = NULL;
			const gchar* _tmp21_;
			GError* _tmp22_;
			const gchar* _tmp23_;
			gchar* _tmp24_ = NULL;
			gchar* _tmp25_;
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			e = _inner_error_;
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_inner_error_ = NULL;
#line 48 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp20_ = _ ("Error accessing database file:\n %s\n\nError was: \n%s");
#line 48 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp21_ = filename;
#line 48 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp22_ = e;
#line 48 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp23_ = _tmp22_->message;
#line 48 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp24_ = g_strdup_printf (_tmp20_, _tmp21_, _tmp23_);
#line 48 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp25_ = _tmp24_;
#line 48 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			app_window_panic (_tmp25_);
#line 48 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_g_free0 (_tmp25_);
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_g_error_free0 (e);
#line 261 "DatabaseTable.c"
		}
		__finally12:
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		if (_inner_error_ != NULL) {
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			g_clear_error (&_inner_error_);
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			return;
#line 272 "DatabaseTable.c"
		}
	}
}


static gint _sqlite3_exec (sqlite3* self, const gchar* sql, sqlite3_callback callback, void* callback_target, gchar** errmsg) {
	gchar* _vala_errmsg = NULL;
	gint result = 0;
	const gchar* sqlite_errmsg = NULL;
	const gchar* _tmp0_;
	sqlite3_callback _tmp1_;
	void* _tmp1__target;
	const gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint ec;
	const gchar* _tmp6_;
#line 34 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 34 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	g_return_val_if_fail (sql != NULL, 0);
#line 36 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	_tmp0_ = sql;
#line 36 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	_tmp1_ = callback;
#line 36 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	_tmp1__target = callback_target;
#line 36 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	_tmp3_ = sqlite3_exec (self, _tmp0_, _tmp1_, _tmp1__target, (char**) (&_tmp2_));
#line 36 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	sqlite_errmsg = _tmp2_;
#line 36 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	ec = _tmp3_;
#line 37 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	if ((&_vala_errmsg) != NULL) {
#line 307 "DatabaseTable.c"
		const gchar* _tmp4_;
		gchar* _tmp5_;
#line 38 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
		_tmp4_ = sqlite_errmsg;
#line 38 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
		_tmp5_ = g_strdup (_tmp4_);
#line 38 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
		_g_free0 (_vala_errmsg);
#line 38 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
		_vala_errmsg = _tmp5_;
#line 318 "DatabaseTable.c"
	}
#line 40 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	_tmp6_ = sqlite_errmsg;
#line 40 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	sqlite3_free ((void*) _tmp6_);
#line 41 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	result = ec;
#line 41 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	if (errmsg) {
#line 41 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
		*errmsg = _vala_errmsg;
#line 330 "DatabaseTable.c"
	} else {
#line 41 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
		_g_free0 (_vala_errmsg);
#line 334 "DatabaseTable.c"
	}
#line 41 "/usr/share/vala-0.18/vapi/sqlite3.vapi"
	return result;
#line 338 "DatabaseTable.c"
}


void database_table_init (const gchar* filename) {
	const gchar* _tmp0_;
	sqlite3_stmt* stmt = NULL;
	sqlite3* _tmp1_;
	sqlite3_stmt* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint res;
	gint _tmp4_;
	sqlite3* _tmp17_;
	gint _tmp18_ = 0;
	gint _tmp19_;
#line 54 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (filename != NULL);
#line 56 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = filename;
#line 56 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_prepare_db (_tmp0_);
#line 60 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = database_table_db;
#line 60 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = sqlite3_prepare_v2 (_tmp1_, "CREATE TABLE IF NOT EXISTS VersionTable (" "id INTEGER PRIMARY KEY, " "schema_version INTEGER, " "app_version TEXT, " "user_data TEXT NULL" ")", -1, &_tmp2_, NULL);
#line 60 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 60 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp2_;
#line 60 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp3_;
#line 68 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = res;
#line 68 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp4_ != SQLITE_OK) {
#line 373 "DatabaseTable.c"
		const gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* backup_path;
		const gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		const gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* cmdline;
		const gchar* _tmp15_;
		const gchar* _tmp16_;
#line 69 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_sqlite3_close0 (database_table_db);
#line 69 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_db = NULL;
#line 71 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp5_ = filename;
#line 71 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp6_ = g_strconcat (_tmp5_, ".bak", NULL);
#line 71 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		backup_path = _tmp6_;
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp7_ = backup_path;
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp8_ = g_strconcat ("cp ", _tmp7_, NULL);
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp9_ = _tmp8_;
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp10_ = g_strconcat (_tmp9_, " ", NULL);
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp11_ = _tmp10_;
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp12_ = filename;
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp13_ = g_strconcat (_tmp11_, _tmp12_, NULL);
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp14_ = _tmp13_;
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp11_);
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp9_);
#line 72 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		cmdline = _tmp14_;
#line 73 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp15_ = cmdline;
#line 73 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		system (_tmp15_);
#line 75 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp16_ = filename;
#line 75 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_prepare_db (_tmp16_);
#line 68 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (cmdline);
#line 68 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (backup_path);
#line 432 "DatabaseTable.c"
	}
#line 80 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp17_ = database_table_db;
#line 80 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp18_ = _sqlite3_exec (_tmp17_, "PRAGMA synchronous=OFF", NULL, NULL, NULL);
#line 80 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp18_;
#line 81 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp19_ = res;
#line 81 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp19_ != SQLITE_OK) {
#line 444 "DatabaseTable.c"
		gint _tmp20_;
#line 82 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp20_ = res;
#line 82 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_warning ("Unable to disable synchronous mode", _tmp20_);
#line 450 "DatabaseTable.c"
	}
#line 54 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 454 "DatabaseTable.c"
}


void database_table_terminate (void) {
#line 87 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_close0 (database_table_db);
#line 87 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_db = NULL;
#line 463 "DatabaseTable.c"
}


void database_table_fatal (const gchar* op, gint res) {
	const gchar* _tmp0_;
	gint _tmp1_;
	sqlite3* _tmp2_;
	const gchar* _tmp3_ = NULL;
#line 91 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (op != NULL);
#line 92 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = op;
#line 92 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = res;
#line 92 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = database_table_db;
#line 92 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = sqlite3_errmsg (_tmp2_);
#line 92 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_error ("DatabaseTable.vala:92: %s: [%d] %s", _tmp0_, _tmp1_, _tmp3_);
#line 484 "DatabaseTable.c"
}


void database_table_warning (const gchar* op, gint res) {
	const gchar* _tmp0_;
	gint _tmp1_;
	sqlite3* _tmp2_;
	const gchar* _tmp3_ = NULL;
#line 96 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (op != NULL);
#line 97 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = op;
#line 97 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = res;
#line 97 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = database_table_db;
#line 97 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = sqlite3_errmsg (_tmp2_);
#line 97 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_warning ("DatabaseTable.vala:97: %s: [%d] %s", _tmp0_, _tmp1_, _tmp3_);
#line 505 "DatabaseTable.c"
}


void database_table_set_table_name (DatabaseTable* self, const gchar* table_name) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 100 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (IS_DATABASE_TABLE (self));
#line 100 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (table_name != NULL);
#line 101 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = table_name;
#line 101 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 101 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (self->table_name);
#line 101 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	self->table_name = _tmp1_;
#line 524 "DatabaseTable.c"
}


void database_table_throw_error (const gchar* method, gint res, GError** error) {
	const gchar* _tmp0_;
	gint _tmp1_;
	sqlite3* _tmp2_;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* msg;
	gint _tmp5_;
	GError * _inner_error_ = NULL;
#line 106 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (method != NULL);
#line 107 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = method;
#line 107 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = res;
#line 107 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = database_table_db;
#line 107 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = sqlite3_errmsg (_tmp2_);
#line 107 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = g_strdup_printf ("(%s) [%d] - %s", _tmp0_, _tmp1_, _tmp3_);
#line 107 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	msg = _tmp4_;
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = res;
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	switch (_tmp5_) {
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_OK:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_DONE:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_ROW:
#line 561 "DatabaseTable.c"
		{
#line 113 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_g_free0 (msg);
#line 113 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			return;
#line 567 "DatabaseTable.c"
		}
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_PERM:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_BUSY:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_READONLY:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_IOERR:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_CORRUPT:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_CANTOPEN:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_NOLFS:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_AUTH:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_FORMAT:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_NOTADB:
#line 589 "DatabaseTable.c"
		{
			const gchar* _tmp6_;
			GError* _tmp7_;
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp6_ = msg;
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp7_ = g_error_new_literal (DATABASE_ERROR, DATABASE_ERROR_BACKING, _tmp6_);
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_inner_error_ = _tmp7_;
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 607 "DatabaseTable.c"
			} else {
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 125 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 617 "DatabaseTable.c"
			}
		}
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_NOMEM:
#line 622 "DatabaseTable.c"
		{
			const gchar* _tmp8_;
			GError* _tmp9_;
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp8_ = msg;
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp9_ = g_error_new_literal (DATABASE_ERROR, DATABASE_ERROR_MEMORY, _tmp8_);
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_inner_error_ = _tmp9_;
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 640 "DatabaseTable.c"
			} else {
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 128 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 650 "DatabaseTable.c"
			}
		}
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_ABORT:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_LOCKED:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_INTERRUPT:
#line 659 "DatabaseTable.c"
		{
			const gchar* _tmp10_;
			GError* _tmp11_;
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp10_ = msg;
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp11_ = g_error_new_literal (DATABASE_ERROR, DATABASE_ERROR_ABORT, _tmp10_);
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_inner_error_ = _tmp11_;
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 677 "DatabaseTable.c"
			} else {
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 133 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 687 "DatabaseTable.c"
			}
		}
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_FULL:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_EMPTY:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_TOOBIG:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_CONSTRAINT:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_RANGE:
#line 700 "DatabaseTable.c"
		{
			const gchar* _tmp12_;
			GError* _tmp13_;
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp12_ = msg;
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp13_ = g_error_new_literal (DATABASE_ERROR, DATABASE_ERROR_LIMITS, _tmp12_);
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_inner_error_ = _tmp13_;
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 718 "DatabaseTable.c"
			} else {
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 728 "DatabaseTable.c"
			}
		}
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_SCHEMA:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_MISMATCH:
#line 735 "DatabaseTable.c"
		{
			const gchar* _tmp14_;
			GError* _tmp15_;
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp14_ = msg;
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp15_ = g_error_new_literal (DATABASE_ERROR, DATABASE_ERROR_TYPESPEC, _tmp14_);
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_inner_error_ = _tmp15_;
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 753 "DatabaseTable.c"
			} else {
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 763 "DatabaseTable.c"
			}
		}
		default:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_ERROR:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_INTERNAL:
#line 109 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		case SQLITE_MISUSE:
#line 773 "DatabaseTable.c"
		{
			const gchar* _tmp16_;
			GError* _tmp17_;
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp16_ = msg;
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp17_ = g_error_new_literal (DATABASE_ERROR, DATABASE_ERROR_ERROR, _tmp16_);
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_inner_error_ = _tmp17_;
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 791 "DatabaseTable.c"
			} else {
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_g_free0 (msg);
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 150 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 801 "DatabaseTable.c"
			}
		}
	}
#line 106 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (msg);
#line 807 "DatabaseTable.c"
}


gboolean database_table_exists_by_id (DatabaseTable* self, gint64 id) {
	gboolean result = FALSE;
	sqlite3_stmt* stmt = NULL;
	sqlite3* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_;
	sqlite3_stmt* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_;
	gint res;
	gint _tmp7_;
	sqlite3_stmt* _tmp8_;
	gint64 _tmp9_;
	gint _tmp10_ = 0;
	gint _tmp11_;
	sqlite3_stmt* _tmp12_;
	gint _tmp13_ = 0;
	gboolean _tmp14_ = FALSE;
	gint _tmp15_;
	gboolean _tmp17_;
	gint _tmp25_;
#line 154 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (IS_DATABASE_TABLE (self), FALSE);
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = database_table_db;
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = self->table_name;
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = g_strdup_printf ("SELECT id FROM %s WHERE id=?", _tmp1_);
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = _tmp2_;
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = sqlite3_prepare_v2 (_tmp0_, _tmp3_, -1, &_tmp4_, NULL);
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp4_;
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = _tmp5_;
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (_tmp3_);
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp6_;
#line 157 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = res;
#line 157 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp7_ == SQLITE_OK, "res == Sqlite.OK");
#line 159 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = stmt;
#line 159 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = id;
#line 159 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp10_ = sqlite3_bind_int64 (_tmp8_, 1, _tmp9_);
#line 159 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp10_;
#line 160 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp11_ = res;
#line 160 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp11_ == SQLITE_OK, "res == Sqlite.OK");
#line 162 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp12_ = stmt;
#line 162 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp13_ = sqlite3_step (_tmp12_);
#line 162 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp13_;
#line 163 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp15_ = res;
#line 163 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp15_ != SQLITE_ROW) {
#line 881 "DatabaseTable.c"
		gint _tmp16_;
#line 163 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp16_ = res;
#line 163 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp14_ = _tmp16_ != SQLITE_DONE;
#line 887 "DatabaseTable.c"
	} else {
#line 163 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp14_ = FALSE;
#line 891 "DatabaseTable.c"
	}
#line 163 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp17_ = _tmp14_;
#line 163 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp17_) {
#line 897 "DatabaseTable.c"
		gint64 _tmp18_;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_;
		const gchar* _tmp21_;
		gchar* _tmp22_ = NULL;
		gchar* _tmp23_;
		gint _tmp24_;
#line 164 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp18_ = id;
#line 164 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp19_ = g_strdup_printf ("%" G_GINT64_FORMAT, _tmp18_);
#line 164 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp20_ = _tmp19_;
#line 164 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp21_ = self->table_name;
#line 164 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp22_ = g_strdup_printf ("exists_by_id [%s] %s", _tmp20_, _tmp21_);
#line 164 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp23_ = _tmp22_;
#line 164 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp24_ = res;
#line 164 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_fatal (_tmp23_, _tmp24_);
#line 164 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp23_);
#line 164 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp20_);
#line 925 "DatabaseTable.c"
	}
#line 166 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp25_ = res;
#line 166 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = _tmp25_ == SQLITE_ROW;
#line 166 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 166 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 935 "DatabaseTable.c"
}


gboolean database_table_select_by_id (DatabaseTable* self, gint64 id, const gchar* columns, sqlite3_stmt** stmt) {
	sqlite3_stmt* _vala_stmt = NULL;
	gboolean result = FALSE;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* sql;
	sqlite3* _tmp3_;
	const gchar* _tmp4_;
	sqlite3_stmt* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gint res;
	gint _tmp7_;
	sqlite3_stmt* _tmp8_;
	gint64 _tmp9_;
	gint _tmp10_ = 0;
	gint _tmp11_;
	sqlite3_stmt* _tmp12_;
	gint _tmp13_ = 0;
	gboolean _tmp14_ = FALSE;
	gint _tmp15_;
	gboolean _tmp17_;
	gint _tmp26_;
#line 169 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (IS_DATABASE_TABLE (self), FALSE);
#line 169 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (columns != NULL, FALSE);
#line 170 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = columns;
#line 170 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = self->table_name;
#line 170 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = g_strdup_printf ("SELECT %s FROM %s WHERE id=?", _tmp0_, _tmp1_);
#line 170 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	sql = _tmp2_;
#line 172 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = database_table_db;
#line 172 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = sql;
#line 172 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = sqlite3_prepare_v2 (_tmp3_, _tmp4_, -1, &_tmp5_, NULL);
#line 172 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (_vala_stmt);
#line 172 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_stmt = _tmp5_;
#line 172 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp6_;
#line 173 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = res;
#line 173 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp7_ == SQLITE_OK, "res == Sqlite.OK");
#line 175 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = _vala_stmt;
#line 175 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = id;
#line 175 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp10_ = sqlite3_bind_int64 (_tmp8_, 1, _tmp9_);
#line 175 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp10_;
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp11_ = res;
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp11_ == SQLITE_OK, "res == Sqlite.OK");
#line 178 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp12_ = _vala_stmt;
#line 178 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp13_ = sqlite3_step (_tmp12_);
#line 178 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp13_;
#line 179 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp15_ = res;
#line 179 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp15_ != SQLITE_ROW) {
#line 1012 "DatabaseTable.c"
		gint _tmp16_;
#line 179 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp16_ = res;
#line 179 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp14_ = _tmp16_ != SQLITE_DONE;
#line 1018 "DatabaseTable.c"
	} else {
#line 179 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp14_ = FALSE;
#line 1022 "DatabaseTable.c"
	}
#line 179 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp17_ = _tmp14_;
#line 179 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp17_) {
#line 1028 "DatabaseTable.c"
		gint64 _tmp18_;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_;
		const gchar* _tmp21_;
		const gchar* _tmp22_;
		gchar* _tmp23_ = NULL;
		gchar* _tmp24_;
		gint _tmp25_;
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp18_ = id;
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp19_ = g_strdup_printf ("%" G_GINT64_FORMAT, _tmp18_);
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp20_ = _tmp19_;
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp21_ = self->table_name;
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp22_ = columns;
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp23_ = g_strdup_printf ("select_by_id [%s] %s %s", _tmp20_, _tmp21_, _tmp22_);
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp24_ = _tmp23_;
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp25_ = res;
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_fatal (_tmp24_, _tmp25_);
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp24_);
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp20_);
#line 1059 "DatabaseTable.c"
	}
#line 182 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp26_ = res;
#line 182 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = _tmp26_ == SQLITE_ROW;
#line 182 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (sql);
#line 182 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (stmt) {
#line 182 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		*stmt = _vala_stmt;
#line 1071 "DatabaseTable.c"
	} else {
#line 182 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_sqlite3_finalize0 (_vala_stmt);
#line 1075 "DatabaseTable.c"
	}
#line 182 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 1079 "DatabaseTable.c"
}


static void database_table_prepare_update_by_id (DatabaseTable* self, gint64 id, const gchar* column, sqlite3_stmt** stmt) {
	sqlite3_stmt* _vala_stmt = NULL;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* sql;
	sqlite3* _tmp3_;
	sqlite3_stmt* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint res;
	gint _tmp6_;
	gint64 _tmp7_;
	gint _tmp8_ = 0;
	gint _tmp9_;
#line 186 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (IS_DATABASE_TABLE (self));
#line 186 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (column != NULL);
#line 187 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = self->table_name;
#line 187 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = column;
#line 187 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = g_strdup_printf ("UPDATE %s SET %s=? WHERE id=?", _tmp0_, _tmp1_);
#line 187 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	sql = _tmp2_;
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = database_table_db;
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = sqlite3_prepare_v2 (_tmp3_, sql, -1, &_tmp4_, NULL);
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (_vala_stmt);
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_stmt = _tmp4_;
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp5_;
#line 190 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = res;
#line 190 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp6_ == SQLITE_OK, "res == Sqlite.OK");
#line 192 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = id;
#line 192 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = sqlite3_bind_int64 (_vala_stmt, 2, _tmp7_);
#line 192 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp8_;
#line 193 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = res;
#line 193 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp9_ == SQLITE_OK, "res == Sqlite.OK");
#line 186 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (sql);
#line 186 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (stmt) {
#line 186 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		*stmt = _vala_stmt;
#line 1139 "DatabaseTable.c"
	} else {
#line 186 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_sqlite3_finalize0 (_vala_stmt);
#line 1143 "DatabaseTable.c"
	}
}


static gboolean database_table_execute_update_by_id (DatabaseTable* self, sqlite3_stmt* stmt) {
	gboolean result = FALSE;
	sqlite3_stmt* _tmp0_;
	gint _tmp1_ = 0;
	gint res;
	gint _tmp2_;
#line 196 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (IS_DATABASE_TABLE (self), FALSE);
#line 196 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (stmt != NULL, FALSE);
#line 197 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = stmt;
#line 197 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = sqlite3_step (_tmp0_);
#line 197 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp1_;
#line 198 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = res;
#line 198 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp2_ != SQLITE_DONE) {
#line 1168 "DatabaseTable.c"
		gint _tmp3_;
#line 199 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp3_ = res;
#line 199 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_fatal ("execute_update_by_id", _tmp3_);
#line 201 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		result = FALSE;
#line 201 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		return result;
#line 1178 "DatabaseTable.c"
	}
#line 204 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = TRUE;
#line 204 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 1184 "DatabaseTable.c"
}


gboolean database_table_update_text_by_id (DatabaseTable* self, gint64 id, const gchar* column, const gchar* text) {
	gboolean result = FALSE;
	sqlite3_stmt* stmt = NULL;
	gint64 _tmp0_;
	const gchar* _tmp1_;
	sqlite3_stmt* _tmp2_ = NULL;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	GDestroyNotify _tmp5_;
	gint _tmp6_ = 0;
	gint res;
	gboolean _tmp7_ = FALSE;
#line 207 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (IS_DATABASE_TABLE (self), FALSE);
#line 207 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (column != NULL, FALSE);
#line 207 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (text != NULL, FALSE);
#line 209 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = id;
#line 209 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = column;
#line 209 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_prepare_update_by_id (self, _tmp0_, _tmp1_, &_tmp2_);
#line 209 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 209 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp2_;
#line 211 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = text;
#line 211 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 211 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = g_free;
#line 211 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = sqlite3_bind_text (stmt, 1, _tmp4_, -1, _tmp5_);
#line 211 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp6_;
#line 212 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (res == SQLITE_OK, "res == Sqlite.OK");
#line 214 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = database_table_execute_update_by_id (self, stmt);
#line 214 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = _tmp7_;
#line 214 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 214 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 1236 "DatabaseTable.c"
}


void database_table_update_text_by_id_2 (DatabaseTable* self, gint64 id, const gchar* column, const gchar* text, GError** error) {
	sqlite3_stmt* stmt = NULL;
	gint64 _tmp0_;
	const gchar* _tmp1_;
	sqlite3_stmt* _tmp2_ = NULL;
	sqlite3_stmt* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	GDestroyNotify _tmp6_;
	gint _tmp7_ = 0;
	gint res;
	gint _tmp8_;
	sqlite3_stmt* _tmp9_;
	gint _tmp10_ = 0;
	gint _tmp11_;
	GError * _inner_error_ = NULL;
#line 217 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (IS_DATABASE_TABLE (self));
#line 217 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (column != NULL);
#line 217 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (text != NULL);
#line 219 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = id;
#line 219 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = column;
#line 219 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_prepare_update_by_id (self, _tmp0_, _tmp1_, &_tmp2_);
#line 219 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 219 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp2_;
#line 221 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = stmt;
#line 221 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = text;
#line 221 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = g_strdup (_tmp4_);
#line 221 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = g_free;
#line 221 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = sqlite3_bind_text (_tmp3_, 1, _tmp5_, -1, _tmp6_);
#line 221 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp7_;
#line 222 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = res;
#line 222 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp8_ == SQLITE_OK, "res == Sqlite.OK");
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = stmt;
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp10_ = sqlite3_step (_tmp9_);
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp10_;
#line 225 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp11_ = res;
#line 225 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp11_ != SQLITE_DONE) {
#line 1298 "DatabaseTable.c"
		const gchar* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_;
		gint _tmp16_;
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp12_ = self->table_name;
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp13_ = column;
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp14_ = g_strdup_printf ("DatabaseTable.update_text_by_id_2 %s.%s", _tmp12_, _tmp13_);
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp15_ = _tmp14_;
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp16_ = res;
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_throw_error (_tmp15_, _tmp16_, &_inner_error_);
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp15_);
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		if (_inner_error_ != NULL) {
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_sqlite3_finalize0 (stmt);
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 1328 "DatabaseTable.c"
			} else {
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_sqlite3_finalize0 (stmt);
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 226 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 1338 "DatabaseTable.c"
			}
		}
	}
#line 217 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 1344 "DatabaseTable.c"
}


gboolean database_table_update_int_by_id (DatabaseTable* self, gint64 id, const gchar* column, gint value) {
	gboolean result = FALSE;
	sqlite3_stmt* stmt = NULL;
	gint64 _tmp0_;
	const gchar* _tmp1_;
	sqlite3_stmt* _tmp2_ = NULL;
	gint _tmp3_;
	gint _tmp4_ = 0;
	gint res;
	gboolean _tmp5_ = FALSE;
#line 229 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (IS_DATABASE_TABLE (self), FALSE);
#line 229 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (column != NULL, FALSE);
#line 231 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = id;
#line 231 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = column;
#line 231 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_prepare_update_by_id (self, _tmp0_, _tmp1_, &_tmp2_);
#line 231 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 231 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp2_;
#line 233 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = value;
#line 233 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = sqlite3_bind_int (stmt, 1, _tmp3_);
#line 233 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp4_;
#line 234 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (res == SQLITE_OK, "res == Sqlite.OK");
#line 236 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = database_table_execute_update_by_id (self, stmt);
#line 236 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = _tmp5_;
#line 236 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 236 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 1388 "DatabaseTable.c"
}


void database_table_update_int_by_id_2 (DatabaseTable* self, gint64 id, const gchar* column, gint value, GError** error) {
	sqlite3_stmt* stmt = NULL;
	gint64 _tmp0_;
	const gchar* _tmp1_;
	sqlite3_stmt* _tmp2_ = NULL;
	sqlite3_stmt* _tmp3_;
	gint _tmp4_;
	gint _tmp5_ = 0;
	gint res;
	gint _tmp6_;
	sqlite3_stmt* _tmp7_;
	gint _tmp8_ = 0;
	gint _tmp9_;
	GError * _inner_error_ = NULL;
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (IS_DATABASE_TABLE (self));
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (column != NULL);
#line 241 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = id;
#line 241 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = column;
#line 241 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_prepare_update_by_id (self, _tmp0_, _tmp1_, &_tmp2_);
#line 241 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 241 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp2_;
#line 243 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = stmt;
#line 243 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = value;
#line 243 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = sqlite3_bind_int (_tmp3_, 1, _tmp4_);
#line 243 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp5_;
#line 244 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = res;
#line 244 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp6_ == SQLITE_OK, "res == Sqlite.OK");
#line 246 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = stmt;
#line 246 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = sqlite3_step (_tmp7_);
#line 246 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp8_;
#line 247 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = res;
#line 247 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp9_ != SQLITE_DONE) {
#line 1442 "DatabaseTable.c"
		const gchar* _tmp10_;
		const gchar* _tmp11_;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_;
		gint _tmp14_;
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp10_ = self->table_name;
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp11_ = column;
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp12_ = g_strdup_printf ("DatabaseTable.update_int_by_id_2 %s.%s", _tmp10_, _tmp11_);
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp13_ = _tmp12_;
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp14_ = res;
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_throw_error (_tmp13_, _tmp14_, &_inner_error_);
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp13_);
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		if (_inner_error_ != NULL) {
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_sqlite3_finalize0 (stmt);
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 1472 "DatabaseTable.c"
			} else {
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_sqlite3_finalize0 (stmt);
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 1482 "DatabaseTable.c"
			}
		}
	}
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 1488 "DatabaseTable.c"
}


gboolean database_table_update_int64_by_id (DatabaseTable* self, gint64 id, const gchar* column, gint64 value) {
	gboolean result = FALSE;
	sqlite3_stmt* stmt = NULL;
	gint64 _tmp0_;
	const gchar* _tmp1_;
	sqlite3_stmt* _tmp2_ = NULL;
	gint64 _tmp3_;
	gint _tmp4_ = 0;
	gint res;
	gboolean _tmp5_ = FALSE;
#line 251 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (IS_DATABASE_TABLE (self), FALSE);
#line 251 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (column != NULL, FALSE);
#line 253 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = id;
#line 253 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = column;
#line 253 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_prepare_update_by_id (self, _tmp0_, _tmp1_, &_tmp2_);
#line 253 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 253 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp2_;
#line 255 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = value;
#line 255 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = sqlite3_bind_int64 (stmt, 1, _tmp3_);
#line 255 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp4_;
#line 256 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (res == SQLITE_OK, "res == Sqlite.OK");
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = database_table_execute_update_by_id (self, stmt);
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = _tmp5_;
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 1532 "DatabaseTable.c"
}


void database_table_update_int64_by_id_2 (DatabaseTable* self, gint64 id, const gchar* column, gint64 value, GError** error) {
	sqlite3_stmt* stmt = NULL;
	gint64 _tmp0_;
	const gchar* _tmp1_;
	sqlite3_stmt* _tmp2_ = NULL;
	sqlite3_stmt* _tmp3_;
	gint64 _tmp4_;
	gint _tmp5_ = 0;
	gint res;
	gint _tmp6_;
	sqlite3_stmt* _tmp7_;
	gint _tmp8_ = 0;
	gint _tmp9_;
	GError * _inner_error_ = NULL;
#line 261 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (IS_DATABASE_TABLE (self));
#line 261 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (column != NULL);
#line 263 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = id;
#line 263 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = column;
#line 263 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_prepare_update_by_id (self, _tmp0_, _tmp1_, &_tmp2_);
#line 263 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 263 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp2_;
#line 265 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = stmt;
#line 265 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = value;
#line 265 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = sqlite3_bind_int64 (_tmp3_, 1, _tmp4_);
#line 265 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp5_;
#line 266 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = res;
#line 266 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp6_ == SQLITE_OK, "res == Sqlite.OK");
#line 268 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = stmt;
#line 268 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = sqlite3_step (_tmp7_);
#line 268 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp8_;
#line 269 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = res;
#line 269 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp9_ != SQLITE_DONE) {
#line 1586 "DatabaseTable.c"
		const gchar* _tmp10_;
		const gchar* _tmp11_;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_;
		gint _tmp14_;
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp10_ = self->table_name;
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp11_ = column;
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp12_ = g_strdup_printf ("DatabaseTable.update_int64_by_id_2 %s.%s", _tmp10_, _tmp11_);
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp13_ = _tmp12_;
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp14_ = res;
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_throw_error (_tmp13_, _tmp14_, &_inner_error_);
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp13_);
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		if (_inner_error_ != NULL) {
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_sqlite3_finalize0 (stmt);
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 1616 "DatabaseTable.c"
			} else {
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_sqlite3_finalize0 (stmt);
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 1626 "DatabaseTable.c"
			}
		}
	}
#line 261 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 1632 "DatabaseTable.c"
}


void database_table_delete_by_id (DatabaseTable* self, gint64 id, GError** error) {
	sqlite3_stmt* stmt = NULL;
	sqlite3* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_;
	sqlite3_stmt* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_;
	gint res;
	gint _tmp7_;
	sqlite3_stmt* _tmp8_;
	gint64 _tmp9_;
	gint _tmp10_ = 0;
	gint _tmp11_;
	sqlite3_stmt* _tmp12_;
	gint _tmp13_ = 0;
	gint _tmp14_;
	GError * _inner_error_ = NULL;
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (IS_DATABASE_TABLE (self));
#line 275 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = database_table_db;
#line 275 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = self->table_name;
#line 275 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = g_strdup_printf ("DELETE FROM %s WHERE id=?", _tmp1_);
#line 275 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = _tmp2_;
#line 275 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = sqlite3_prepare_v2 (_tmp0_, _tmp3_, -1, &_tmp4_, NULL);
#line 275 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 275 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp4_;
#line 275 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = _tmp5_;
#line 275 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (_tmp3_);
#line 275 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp6_;
#line 276 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = res;
#line 276 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp7_ == SQLITE_OK, "res == Sqlite.OK");
#line 278 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = stmt;
#line 278 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = id;
#line 278 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp10_ = sqlite3_bind_int64 (_tmp8_, 1, _tmp9_);
#line 278 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp10_;
#line 279 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp11_ = res;
#line 279 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp11_ == SQLITE_OK, "res == Sqlite.OK");
#line 281 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp12_ = stmt;
#line 281 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp13_ = sqlite3_step (_tmp12_);
#line 281 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp13_;
#line 282 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp14_ = res;
#line 282 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp14_ != SQLITE_DONE) {
#line 1703 "DatabaseTable.c"
		const gchar* _tmp15_;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_;
		gint _tmp18_;
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp15_ = self->table_name;
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp16_ = g_strdup_printf ("%s.remove", _tmp15_);
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp17_ = _tmp16_;
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp18_ = res;
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_throw_error (_tmp17_, _tmp18_, &_inner_error_);
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_g_free0 (_tmp17_);
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		if (_inner_error_ != NULL) {
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_sqlite3_finalize0 (stmt);
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 1730 "DatabaseTable.c"
			} else {
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_sqlite3_finalize0 (stmt);
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 1740 "DatabaseTable.c"
			}
		}
	}
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 1746 "DatabaseTable.c"
}


gboolean database_table_has_column (const gchar* table_name, const gchar* column_name) {
	gboolean result = FALSE;
	sqlite3_stmt* stmt = NULL;
	sqlite3* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_;
	sqlite3_stmt* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_;
	gint res;
	gint _tmp7_;
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (table_name != NULL, FALSE);
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (column_name != NULL, FALSE);
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = database_table_db;
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = table_name;
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = g_strdup_printf ("PRAGMA table_info(%s)", _tmp1_);
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = _tmp2_;
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = sqlite3_prepare_v2 (_tmp0_, _tmp3_, -1, &_tmp4_, NULL);
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp4_;
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = _tmp5_;
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (_tmp3_);
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp6_;
#line 289 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = res;
#line 289 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp7_ == SQLITE_OK, "res == Sqlite.OK");
#line 1790 "DatabaseTable.c"
	{
		gboolean _tmp8_;
#line 291 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp8_ = TRUE;
#line 291 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		while (TRUE) {
#line 1797 "DatabaseTable.c"
			gboolean _tmp9_;
			sqlite3_stmt* _tmp10_;
			gint _tmp11_ = 0;
			gint _tmp12_;
#line 291 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp9_ = _tmp8_;
#line 291 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (!_tmp9_) {
#line 1806 "DatabaseTable.c"
			}
#line 291 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp8_ = FALSE;
#line 292 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp10_ = stmt;
#line 292 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp11_ = sqlite3_step (_tmp10_);
#line 292 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			res = _tmp11_;
#line 293 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			_tmp12_ = res;
#line 293 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_tmp12_ == SQLITE_DONE) {
#line 294 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				break;
#line 1822 "DatabaseTable.c"
			} else {
				gint _tmp13_;
#line 295 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				_tmp13_ = res;
#line 295 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				if (_tmp13_ != SQLITE_ROW) {
#line 1829 "DatabaseTable.c"
					const gchar* _tmp14_;
					gchar* _tmp15_ = NULL;
					gchar* _tmp16_;
					gint _tmp17_;
#line 296 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_tmp14_ = table_name;
#line 296 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_tmp15_ = g_strdup_printf ("has_column %s", _tmp14_);
#line 296 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_tmp16_ = _tmp15_;
#line 296 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_tmp17_ = res;
#line 296 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					database_table_fatal (_tmp16_, _tmp17_);
#line 296 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_g_free0 (_tmp16_);
#line 298 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					break;
#line 1848 "DatabaseTable.c"
				} else {
					sqlite3_stmt* _tmp18_;
					const gchar* _tmp19_ = NULL;
					gchar* _tmp20_;
					gchar* column;
					gboolean _tmp21_ = FALSE;
					const gchar* _tmp22_;
					gboolean _tmp25_;
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_tmp18_ = stmt;
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_tmp19_ = sqlite3_column_text (_tmp18_, 1);
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_tmp20_ = g_strdup (_tmp19_);
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					column = _tmp20_;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_tmp22_ = column;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					if (_tmp22_ != NULL) {
#line 1869 "DatabaseTable.c"
						const gchar* _tmp23_;
						const gchar* _tmp24_;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
						_tmp23_ = column;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
						_tmp24_ = column_name;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
						_tmp21_ = g_strcmp0 (_tmp23_, _tmp24_) == 0;
#line 1878 "DatabaseTable.c"
					} else {
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
						_tmp21_ = FALSE;
#line 1882 "DatabaseTable.c"
					}
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_tmp25_ = _tmp21_;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					if (_tmp25_) {
#line 302 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
						result = TRUE;
#line 302 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
						_g_free0 (column);
#line 302 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
						_sqlite3_finalize0 (stmt);
#line 302 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
						return result;
#line 1896 "DatabaseTable.c"
					}
#line 295 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
					_g_free0 (column);
#line 1900 "DatabaseTable.c"
				}
			}
		}
	}
#line 306 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = FALSE;
#line 306 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 306 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 1911 "DatabaseTable.c"
}


gboolean database_table_has_table (const gchar* table_name) {
	gboolean result = FALSE;
	sqlite3_stmt* stmt = NULL;
	sqlite3* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_;
	sqlite3_stmt* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_;
	gint res;
	gint _tmp7_;
	gint _tmp8_ = 0;
	gint _tmp9_;
#line 309 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (table_name != NULL, FALSE);
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = database_table_db;
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = table_name;
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = g_strdup_printf ("PRAGMA table_info(%s)", _tmp1_);
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = _tmp2_;
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = sqlite3_prepare_v2 (_tmp0_, _tmp3_, -1, &_tmp4_, NULL);
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp4_;
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = _tmp5_;
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (_tmp3_);
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp6_;
#line 312 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = res;
#line 312 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp7_ == SQLITE_OK, "res == Sqlite.OK");
#line 314 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = sqlite3_step (stmt);
#line 314 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp8_;
#line 316 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = res;
#line 316 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = _tmp9_ != SQLITE_DONE;
#line 316 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 316 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 1967 "DatabaseTable.c"
}


gboolean database_table_add_column (const gchar* table_name, const gchar* column_name, const gchar* column_constraints) {
	gboolean result = FALSE;
	sqlite3_stmt* stmt = NULL;
	sqlite3* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_;
	sqlite3_stmt* _tmp6_ = NULL;
	gint _tmp7_ = 0;
	gint _tmp8_;
	gint res;
	gint _tmp9_;
	sqlite3_stmt* _tmp10_;
	gint _tmp11_ = 0;
	gint _tmp12_;
#line 319 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (table_name != NULL, FALSE);
#line 319 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (column_name != NULL, FALSE);
#line 319 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (column_constraints != NULL, FALSE);
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = database_table_db;
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = table_name;
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = column_name;
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = column_constraints;
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = g_strdup_printf ("ALTER TABLE %s ADD COLUMN %s %s", _tmp1_, _tmp2_, _tmp3_);
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = _tmp4_;
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = sqlite3_prepare_v2 (_tmp0_, _tmp5_, -1, &_tmp6_, NULL);
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp6_;
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = _tmp7_;
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (_tmp5_);
#line 321 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp8_;
#line 323 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = res;
#line 323 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp9_ == SQLITE_OK, "res == Sqlite.OK");
#line 325 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp10_ = stmt;
#line 325 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp11_ = sqlite3_step (_tmp10_);
#line 325 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp11_;
#line 326 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp12_ = res;
#line 326 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp12_ != SQLITE_DONE) {
#line 2032 "DatabaseTable.c"
		const gchar* _tmp13_;
		const gchar* _tmp14_;
		const gchar* _tmp15_;
		gint _tmp16_;
		sqlite3* _tmp17_;
		const gchar* _tmp18_ = NULL;
#line 327 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp13_ = table_name;
#line 327 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp14_ = column_name;
#line 327 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp15_ = column_constraints;
#line 327 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp16_ = res;
#line 327 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp17_ = database_table_db;
#line 327 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp18_ = sqlite3_errmsg (_tmp17_);
#line 327 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		g_critical ("DatabaseTable.vala:327: Unable to add column %s %s %s: (%d) %s", _tmp13_, _tmp14_, _tmp15_, _tmp16_, _tmp18_);
#line 330 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		result = FALSE;
#line 330 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_sqlite3_finalize0 (stmt);
#line 330 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		return result;
#line 2059 "DatabaseTable.c"
	}
#line 333 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = TRUE;
#line 333 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 333 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 2067 "DatabaseTable.c"
}


gboolean database_table_ensure_column (const gchar* table_name, const gchar* column_name, const gchar* column_constraints, const gchar* upgrade_msg) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp6_;
	const gchar* _tmp7_;
	const gchar* _tmp8_;
	const gchar* _tmp9_;
	const gchar* _tmp10_;
	gboolean _tmp11_ = FALSE;
#line 339 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (table_name != NULL, FALSE);
#line 339 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (column_name != NULL, FALSE);
#line 339 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (column_constraints != NULL, FALSE);
#line 339 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (upgrade_msg != NULL, FALSE);
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = table_name;
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = database_table_has_table (_tmp1_);
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (!_tmp2_) {
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp0_ = TRUE;
#line 2098 "DatabaseTable.c"
	} else {
		const gchar* _tmp3_;
		const gchar* _tmp4_;
		gboolean _tmp5_ = FALSE;
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp3_ = table_name;
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp4_ = column_name;
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp5_ = database_table_has_column (_tmp3_, _tmp4_);
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp0_ = _tmp5_;
#line 2111 "DatabaseTable.c"
	}
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = _tmp0_;
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp6_) {
#line 342 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		result = TRUE;
#line 342 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		return result;
#line 2121 "DatabaseTable.c"
	}
#line 344 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = upgrade_msg;
#line 344 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_message ("DatabaseTable.vala:344: %s", _tmp7_);
#line 346 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = table_name;
#line 346 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = column_name;
#line 346 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp10_ = column_constraints;
#line 346 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp11_ = database_table_add_column (_tmp8_, _tmp9_, _tmp10_);
#line 346 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = _tmp11_;
#line 346 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 2139 "DatabaseTable.c"
}


gint database_table_get_row_count (DatabaseTable* self) {
	gint result = 0;
	sqlite3_stmt* stmt = NULL;
	sqlite3* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_;
	sqlite3_stmt* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_;
	gint res;
	gint _tmp7_;
	sqlite3_stmt* _tmp8_;
	gint _tmp9_ = 0;
	gint _tmp10_;
	sqlite3_stmt* _tmp15_;
	gint _tmp16_ = 0;
#line 349 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (IS_DATABASE_TABLE (self), 0);
#line 351 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = database_table_db;
#line 351 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = self->table_name;
#line 351 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = g_strdup_printf ("SELECT COUNT(id) AS RowCount FROM %s", _tmp1_);
#line 351 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = _tmp2_;
#line 351 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = sqlite3_prepare_v2 (_tmp0_, _tmp3_, -1, &_tmp4_, NULL);
#line 351 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 351 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	stmt = _tmp4_;
#line 351 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp6_ = _tmp5_;
#line 351 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (_tmp3_);
#line 351 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp6_;
#line 352 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp7_ = res;
#line 352 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp7_ == SQLITE_OK, "res == Sqlite.OK");
#line 354 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp8_ = stmt;
#line 354 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp9_ = sqlite3_step (_tmp8_);
#line 354 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp9_;
#line 355 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp10_ = res;
#line 355 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp10_ != SQLITE_ROW) {
#line 2196 "DatabaseTable.c"
		const gchar* _tmp11_;
		gint _tmp12_;
		sqlite3* _tmp13_;
		const gchar* _tmp14_ = NULL;
#line 356 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp11_ = self->table_name;
#line 356 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp12_ = res;
#line 356 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp13_ = database_table_db;
#line 356 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp14_ = sqlite3_errmsg (_tmp13_);
#line 356 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		g_critical ("DatabaseTable.vala:356: Unable to retrieve row count on %s: (%d) %s", _tmp11_, _tmp12_, _tmp14_);
#line 358 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		result = 0;
#line 358 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_sqlite3_finalize0 (stmt);
#line 358 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		return result;
#line 2217 "DatabaseTable.c"
	}
#line 361 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp15_ = stmt;
#line 361 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp16_ = sqlite3_column_int (_tmp15_, 0);
#line 361 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	result = _tmp16_;
#line 361 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_sqlite3_finalize0 (stmt);
#line 361 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return result;
#line 2229 "DatabaseTable.c"
}


void database_table_begin_transaction (void) {
	gint _tmp0_;
	sqlite3* _tmp1_;
	gint _tmp2_ = 0;
	gint res;
	gint _tmp3_;
#line 366 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = database_table_in_transaction;
#line 366 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_in_transaction = _tmp0_ + 1;
#line 366 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp0_ != 0) {
#line 367 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		return;
#line 2247 "DatabaseTable.c"
	}
#line 369 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = database_table_db;
#line 369 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = _sqlite3_exec (_tmp1_, "BEGIN TRANSACTION", NULL, NULL, NULL);
#line 369 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp2_;
#line 370 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = res;
#line 370 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp3_ == SQLITE_OK, "res == Sqlite.OK");
#line 2259 "DatabaseTable.c"
}


void database_table_commit_transaction (GError** error) {
	gint _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	sqlite3* _tmp3_;
	gint _tmp4_ = 0;
	gint res;
	gint _tmp5_;
	GError * _inner_error_ = NULL;
#line 375 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp0_ = database_table_in_transaction;
#line 375 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_vala_assert (_tmp0_ > 0, "in_transaction > 0");
#line 376 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp1_ = database_table_in_transaction;
#line 376 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_in_transaction = _tmp1_ - 1;
#line 376 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp2_ = database_table_in_transaction;
#line 376 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp2_ != 0) {
#line 377 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		return;
#line 2286 "DatabaseTable.c"
	}
#line 379 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp3_ = database_table_db;
#line 379 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp4_ = _sqlite3_exec (_tmp3_, "COMMIT TRANSACTION", NULL, NULL, NULL);
#line 379 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	res = _tmp4_;
#line 380 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_tmp5_ = res;
#line 380 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (_tmp5_ != SQLITE_DONE) {
#line 2298 "DatabaseTable.c"
		gint _tmp6_;
#line 381 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		_tmp6_ = res;
#line 381 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_throw_error ("commit_transaction", _tmp6_, &_inner_error_);
#line 381 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		if (_inner_error_ != NULL) {
#line 381 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			if (_inner_error_->domain == DATABASE_ERROR) {
#line 381 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_propagate_error (error, _inner_error_);
#line 381 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 2312 "DatabaseTable.c"
			} else {
#line 381 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 381 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				g_clear_error (&_inner_error_);
#line 381 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
				return;
#line 2320 "DatabaseTable.c"
			}
		}
	}
}


DatabaseTable* database_table_construct (GType object_type) {
	DatabaseTable* self = NULL;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	self = (DatabaseTable*) g_type_create_instance (object_type);
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return self;
#line 2333 "DatabaseTable.c"
}


static void value_database_table_init (GValue* value) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	value->data[0].v_pointer = NULL;
#line 2340 "DatabaseTable.c"
}


static void value_database_table_free_value (GValue* value) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (value->data[0].v_pointer) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_unref (value->data[0].v_pointer);
#line 2349 "DatabaseTable.c"
	}
}


static void value_database_table_copy_value (const GValue* src_value, GValue* dest_value) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (src_value->data[0].v_pointer) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		dest_value->data[0].v_pointer = database_table_ref (src_value->data[0].v_pointer);
#line 2359 "DatabaseTable.c"
	} else {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		dest_value->data[0].v_pointer = NULL;
#line 2363 "DatabaseTable.c"
	}
}


static gpointer value_database_table_peek_pointer (const GValue* value) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return value->data[0].v_pointer;
#line 2371 "DatabaseTable.c"
}


static gchar* value_database_table_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (collect_values[0].v_pointer) {
#line 2378 "DatabaseTable.c"
		DatabaseTable* object;
		object = collect_values[0].v_pointer;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		if (object->parent_instance.g_class == NULL) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 2385 "DatabaseTable.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 2389 "DatabaseTable.c"
		}
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		value->data[0].v_pointer = database_table_ref (object);
#line 2393 "DatabaseTable.c"
	} else {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		value->data[0].v_pointer = NULL;
#line 2397 "DatabaseTable.c"
	}
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return NULL;
#line 2401 "DatabaseTable.c"
}


static gchar* value_database_table_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	DatabaseTable** object_p;
	object_p = collect_values[0].v_pointer;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (!object_p) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 2412 "DatabaseTable.c"
	}
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (!value->data[0].v_pointer) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		*object_p = NULL;
#line 2418 "DatabaseTable.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		*object_p = value->data[0].v_pointer;
#line 2422 "DatabaseTable.c"
	} else {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		*object_p = database_table_ref (value->data[0].v_pointer);
#line 2426 "DatabaseTable.c"
	}
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return NULL;
#line 2430 "DatabaseTable.c"
}


GParamSpec* param_spec_database_table (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecDatabaseTable* spec;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_DATABASE_TABLE), NULL);
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return G_PARAM_SPEC (spec);
#line 2444 "DatabaseTable.c"
}


gpointer value_get_database_table (const GValue* value) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_DATABASE_TABLE), NULL);
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return value->data[0].v_pointer;
#line 2453 "DatabaseTable.c"
}


void value_set_database_table (GValue* value, gpointer v_object) {
	DatabaseTable* old;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_DATABASE_TABLE));
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	old = value->data[0].v_pointer;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (v_object) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_DATABASE_TABLE));
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		value->data[0].v_pointer = v_object;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_ref (value->data[0].v_pointer);
#line 2473 "DatabaseTable.c"
	} else {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		value->data[0].v_pointer = NULL;
#line 2477 "DatabaseTable.c"
	}
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (old) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_unref (old);
#line 2483 "DatabaseTable.c"
	}
}


void value_take_database_table (GValue* value, gpointer v_object) {
	DatabaseTable* old;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_DATABASE_TABLE));
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	old = value->data[0].v_pointer;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (v_object) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_DATABASE_TABLE));
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		value->data[0].v_pointer = v_object;
#line 2502 "DatabaseTable.c"
	} else {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		value->data[0].v_pointer = NULL;
#line 2506 "DatabaseTable.c"
	}
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (old) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		database_table_unref (old);
#line 2512 "DatabaseTable.c"
	}
}


static void database_table_class_init (DatabaseTableClass * klass) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	database_table_parent_class = g_type_class_peek_parent (klass);
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	DATABASE_TABLE_CLASS (klass)->finalize = database_table_finalize;
#line 2522 "DatabaseTable.c"
}


static void database_table_instance_init (DatabaseTable * self) {
#line 30 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	self->table_name = NULL;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	self->ref_count = 1;
#line 2531 "DatabaseTable.c"
}


static void database_table_finalize (DatabaseTable* obj) {
	DatabaseTable * self;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DATABASE_TABLE, DatabaseTable);
#line 30 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	_g_free0 (self->table_name);
#line 2541 "DatabaseTable.c"
}


GType database_table_get_type (void) {
	static volatile gsize database_table_type_id__volatile = 0;
	if (g_once_init_enter (&database_table_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_database_table_init, value_database_table_free_value, value_database_table_copy_value, value_database_table_peek_pointer, "p", value_database_table_collect_value, "p", value_database_table_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (DatabaseTableClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) database_table_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DatabaseTable), 0, (GInstanceInitFunc) database_table_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType database_table_type_id;
		database_table_type_id = g_type_register_fundamental (g_type_fundamental_next (), "DatabaseTable", &g_define_type_info, &g_define_type_fundamental_info, G_TYPE_FLAG_ABSTRACT);
		g_once_init_leave (&database_table_type_id__volatile, database_table_type_id);
	}
	return database_table_type_id__volatile;
}


gpointer database_table_ref (gpointer instance) {
	DatabaseTable* self;
	self = instance;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	g_atomic_int_inc (&self->ref_count);
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	return instance;
#line 2566 "DatabaseTable.c"
}


void database_table_unref (gpointer instance) {
	DatabaseTable* self;
	self = instance;
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		DATABASE_TABLE_GET_CLASS (self)->finalize (self);
#line 16 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/db/DatabaseTable.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 2579 "DatabaseTable.c"
	}
}



