/* DataSource.c generated by valac 0.18.1, the Vala compiler
 * generated from DataSource.vala, do not modify */

/* Copyright 2011-2013 Yorba Foundation
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution.
 */
/**/
/* DataSource*/
/* */
/* A DataSource is an object that is unique throughout the system.  DataSources*/
/* commonly have external and/or persistent representations, hence they have a notion of being*/
/* destroyed (versus removed or freed).  Several DataViews may exist that reference a single*/
/* DataSource.  Note that DataSources MUST be destroyed (rather than simply removed) from their*/
/* SourceCollection, and that they MUST be destroyed via their SourceCollection (rather than*/
/* calling DataSource.destroy() directly.)*/
/**/
/* Destroying a DataSource indicates it should remove all secondary and tertiary structures (such*/
/* as thumbnails) and any records pointing to its backing store.  SourceCollection.destroy_marked()*/
/* has a parameter indicating if the backing should be destroyed as well; that is when*/
/* internal_delete_backing() is called.*/
/**/
/* There are no provisions (currently) for a DataSource to be removed from its SourceCollection*/
/* without destroying its backing and/or secondary and tertiary structures.  DataSources are intended*/
/* to go to the grave with their SourceCollection otherwise.  If a need arises for a DataSource to*/
/* be peaceably removed from its SourceCollection, code will need to be written.  SourceSnapshots*/
/* may be one solution to this problem.*/
/**/
/* Some DataSources cannot be reconstituted (for example, if its backing file is deleted).  In*/
/* that case, dehydrate() should return null.  When reconstituted, it is the responsibility of the*/
/* implementation to ensure an exact clone is produced, minus any details that are not relevant or*/
/* exposed (such as a database ID).*/
/**/
/* If other DataSources refer to this DataSource, their state will *not* be */
/* saved/restored.  This must be achieved via other means.  However, implementations *should**/
/* track when changes to external state would break the proxy and call notify_broken();*/
/**/

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <gobject/gvaluecollector.h>


#define TYPE_DATA_OBJECT (data_object_get_type ())
#define DATA_OBJECT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DATA_OBJECT, DataObject))
#define DATA_OBJECT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DATA_OBJECT, DataObjectClass))
#define IS_DATA_OBJECT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DATA_OBJECT))
#define IS_DATA_OBJECT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DATA_OBJECT))
#define DATA_OBJECT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DATA_OBJECT, DataObjectClass))

typedef struct _DataObject DataObject;
typedef struct _DataObjectClass DataObjectClass;
typedef struct _DataObjectPrivate DataObjectPrivate;

#define TYPE_ALTERATION (alteration_get_type ())
#define ALTERATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ALTERATION, Alteration))
#define ALTERATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ALTERATION, AlterationClass))
#define IS_ALTERATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ALTERATION))
#define IS_ALTERATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ALTERATION))
#define ALTERATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ALTERATION, AlterationClass))

typedef struct _Alteration Alteration;
typedef struct _AlterationClass AlterationClass;

#define TYPE_DATA_COLLECTION (data_collection_get_type ())
#define DATA_COLLECTION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DATA_COLLECTION, DataCollection))
#define DATA_COLLECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DATA_COLLECTION, DataCollectionClass))
#define IS_DATA_COLLECTION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DATA_COLLECTION))
#define IS_DATA_COLLECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DATA_COLLECTION))
#define DATA_COLLECTION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DATA_COLLECTION, DataCollectionClass))

typedef struct _DataCollection DataCollection;
typedef struct _DataCollectionClass DataCollectionClass;

#define TYPE_DATA_SOURCE (data_source_get_type ())
#define DATA_SOURCE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DATA_SOURCE, DataSource))
#define DATA_SOURCE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DATA_SOURCE, DataSourceClass))
#define IS_DATA_SOURCE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DATA_SOURCE))
#define IS_DATA_SOURCE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DATA_SOURCE))
#define DATA_SOURCE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DATA_SOURCE, DataSourceClass))

typedef struct _DataSource DataSource;
typedef struct _DataSourceClass DataSourceClass;
typedef struct _DataSourcePrivate DataSourcePrivate;

#define TYPE_SOURCE_HOLDING_TANK (source_holding_tank_get_type ())
#define SOURCE_HOLDING_TANK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SOURCE_HOLDING_TANK, SourceHoldingTank))
#define SOURCE_HOLDING_TANK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SOURCE_HOLDING_TANK, SourceHoldingTankClass))
#define IS_SOURCE_HOLDING_TANK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SOURCE_HOLDING_TANK))
#define IS_SOURCE_HOLDING_TANK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SOURCE_HOLDING_TANK))
#define SOURCE_HOLDING_TANK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SOURCE_HOLDING_TANK, SourceHoldingTankClass))

typedef struct _SourceHoldingTank SourceHoldingTank;
typedef struct _SourceHoldingTankClass SourceHoldingTankClass;

#define TYPE_SOURCE_COLLECTION (source_collection_get_type ())
#define SOURCE_COLLECTION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SOURCE_COLLECTION, SourceCollection))
#define SOURCE_COLLECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SOURCE_COLLECTION, SourceCollectionClass))
#define IS_SOURCE_COLLECTION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SOURCE_COLLECTION))
#define IS_SOURCE_COLLECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SOURCE_COLLECTION))
#define SOURCE_COLLECTION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SOURCE_COLLECTION, SourceCollectionClass))

typedef struct _SourceCollection SourceCollection;
typedef struct _SourceCollectionClass SourceCollectionClass;

#define TYPE_SOURCE_SNAPSHOT (source_snapshot_get_type ())
#define SOURCE_SNAPSHOT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SOURCE_SNAPSHOT, SourceSnapshot))
#define SOURCE_SNAPSHOT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SOURCE_SNAPSHOT, SourceSnapshotClass))
#define IS_SOURCE_SNAPSHOT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SOURCE_SNAPSHOT))
#define IS_SOURCE_SNAPSHOT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SOURCE_SNAPSHOT))
#define SOURCE_SNAPSHOT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SOURCE_SNAPSHOT, SourceSnapshotClass))

typedef struct _SourceSnapshot SourceSnapshot;
typedef struct _SourceSnapshotClass SourceSnapshotClass;

#define TYPE_DATA_VIEW (data_view_get_type ())
#define DATA_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DATA_VIEW, DataView))
#define DATA_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DATA_VIEW, DataViewClass))
#define IS_DATA_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DATA_VIEW))
#define IS_DATA_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DATA_VIEW))
#define DATA_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DATA_VIEW, DataViewClass))

typedef struct _DataView DataView;
typedef struct _DataViewClass DataViewClass;
#define _source_holding_tank_unref0(var) ((var == NULL) ? NULL : (var = (source_holding_tank_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _data_collection_unref0(var) ((var == NULL) ? NULL : (var = (data_collection_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define TYPE_SOURCE_BACKLINK (source_backlink_get_type ())
#define SOURCE_BACKLINK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SOURCE_BACKLINK, SourceBacklink))
#define SOURCE_BACKLINK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SOURCE_BACKLINK, SourceBacklinkClass))
#define IS_SOURCE_BACKLINK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SOURCE_BACKLINK))
#define IS_SOURCE_BACKLINK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SOURCE_BACKLINK))
#define SOURCE_BACKLINK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SOURCE_BACKLINK, SourceBacklinkClass))

typedef struct _SourceBacklink SourceBacklink;
typedef struct _SourceBacklinkClass SourceBacklinkClass;
#define _source_backlink_unref0(var) ((var == NULL) ? NULL : (var = (source_backlink_unref (var), NULL)))
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _SourceSnapshotPrivate SourceSnapshotPrivate;
typedef struct _ParamSpecSourceSnapshot ParamSpecSourceSnapshot;
typedef struct _SourceBacklinkPrivate SourceBacklinkPrivate;
typedef struct _ParamSpecSourceBacklink ParamSpecSourceBacklink;

#define TYPE_SOURCE_PROXY (source_proxy_get_type ())
#define SOURCE_PROXY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SOURCE_PROXY, SourceProxy))
#define SOURCE_PROXY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SOURCE_PROXY, SourceProxyClass))
#define IS_SOURCE_PROXY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SOURCE_PROXY))
#define IS_SOURCE_PROXY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SOURCE_PROXY))
#define SOURCE_PROXY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SOURCE_PROXY, SourceProxyClass))

typedef struct _SourceProxy SourceProxy;
typedef struct _SourceProxyClass SourceProxyClass;
typedef struct _SourceProxyPrivate SourceProxyPrivate;
#define _source_snapshot_unref0(var) ((var == NULL) ? NULL : (var = (source_snapshot_unref (var), NULL)))
typedef struct _ParamSpecSourceProxy ParamSpecSourceProxy;

#define TYPE_PROXYABLE (proxyable_get_type ())
#define PROXYABLE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_PROXYABLE, Proxyable))
#define IS_PROXYABLE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_PROXYABLE))
#define PROXYABLE_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), TYPE_PROXYABLE, ProxyableIface))

typedef struct _Proxyable Proxyable;
typedef struct _ProxyableIface ProxyableIface;
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

struct _DataObject {
	GObject parent_instance;
	DataObjectPrivate * priv;
};

struct _DataObjectClass {
	GObjectClass parent_class;
	void (*notify_altered) (DataObject* self, Alteration* alteration);
	void (*notify_membership_changed) (DataObject* self, DataCollection* collection);
	void (*notify_collection_property_set) (DataObject* self, const gchar* name, GValue* old, GValue* val);
	void (*notify_collection_property_cleared) (DataObject* self, const gchar* name);
	gchar* (*get_name) (DataObject* self);
	gchar* (*to_string) (DataObject* self);
};

struct _DataSource {
	DataObject parent_instance;
	DataSourcePrivate * priv;
};

struct _DataSourceClass {
	DataObjectClass parent_class;
	void (*notify_held_in_tank) (DataSource* self, SourceHoldingTank* holding_tank);
	void (*notify_unlinking) (DataSource* self, SourceCollection* collection);
	void (*notify_unlinked) (DataSource* self);
	void (*notify_relinking) (DataSource* self, SourceCollection* collection);
	void (*notify_relinked) (DataSource* self);
	gchar* (*get_typename) (DataSource* self);
	gint64 (*get_instance_id) (DataSource* self);
	gchar* (*get_source_id) (DataSource* self);
	void (*commit_backlinks) (DataSource* self, SourceCollection* sources, const gchar* dehydrated);
	SourceSnapshot* (*save_snapshot) (DataSource* self);
	gboolean (*internal_delete_backing) (DataSource* self, GError** error);
	gboolean (*equals) (DataSource* self, DataSource* source);
	void (*destroy) (DataSource* self);
	void (*unlinked) (DataSource* self, SourceCollection* sources);
	void (*relinked) (DataSource* self, SourceCollection* sources);
	void (*destroyed) (DataSource* self);
};

struct _DataSourcePrivate {
	DataView** subscribers;
	gint subscribers_length1;
	gint _subscribers_size_;
	SourceHoldingTank* holding_tank;
	SourceCollection* unlinked_from_collection;
	GeeHashMap* backlinks;
	gboolean in_contact;
	gboolean marked_for_destroy;
	gboolean is_destroyed;
};

typedef void (*DataSourceContactSubscriber) (DataView* view, void* user_data);
typedef void (*DataSourceContactSubscriberAlteration) (DataView* view, Alteration* alteration, void* user_data);
struct _SourceSnapshot {
	GTypeInstance parent_instance;
	volatile int ref_count;
	SourceSnapshotPrivate * priv;
};

struct _SourceSnapshotClass {
	GTypeClass parent_class;
	void (*finalize) (SourceSnapshot *self);
	void (*notify_broken) (SourceSnapshot* self);
	void (*broken) (SourceSnapshot* self);
};

struct _SourceSnapshotPrivate {
	gboolean snapshot_broken;
};

struct _ParamSpecSourceSnapshot {
	GParamSpec parent_instance;
};

struct _SourceBacklink {
	GTypeInstance parent_instance;
	volatile int ref_count;
	SourceBacklinkPrivate * priv;
};

struct _SourceBacklinkClass {
	GTypeClass parent_class;
	void (*finalize) (SourceBacklink *self);
};

struct _SourceBacklinkPrivate {
	gchar* _name;
	gchar* _value;
};

struct _ParamSpecSourceBacklink {
	GParamSpec parent_instance;
};

struct _SourceProxy {
	GTypeInstance parent_instance;
	volatile int ref_count;
	SourceProxyPrivate * priv;
};

struct _SourceProxyClass {
	GTypeClass parent_class;
	void (*finalize) (SourceProxy *self);
	DataSource* (*reconstitute) (SourceProxy* self, gint64 object_id, SourceSnapshot* snapshot);
	void (*notify_reconstituted) (SourceProxy* self, DataSource* source);
	void (*notify_dehydrated) (SourceProxy* self);
	void (*notify_broken) (SourceProxy* self);
	void (*reconstituted) (SourceProxy* self, DataSource* source);
	void (*dehydrated) (SourceProxy* self);
	void (*broken) (SourceProxy* self);
};

struct _SourceProxyPrivate {
	gint64 object_id;
	gchar* source_string;
	DataSource* source;
	SourceSnapshot* snapshot;
	SourceCollection* membership;
};

struct _ParamSpecSourceProxy {
	GParamSpec parent_instance;
};

struct _ProxyableIface {
	GTypeInterface parent_iface;
	SourceProxy* (*get_proxy) (Proxyable* self);
};


static gpointer data_source_parent_class = NULL;
static gpointer source_snapshot_parent_class = NULL;
static gpointer source_backlink_parent_class = NULL;
static gpointer source_proxy_parent_class = NULL;

GType data_object_get_type (void) G_GNUC_CONST;
gpointer alteration_ref (gpointer instance);
void alteration_unref (gpointer instance);
GParamSpec* param_spec_alteration (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_alteration (GValue* value, gpointer v_object);
void value_take_alteration (GValue* value, gpointer v_object);
gpointer value_get_alteration (const GValue* value);
GType alteration_get_type (void) G_GNUC_CONST;
gpointer data_collection_ref (gpointer instance);
void data_collection_unref (gpointer instance);
GParamSpec* param_spec_data_collection (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_data_collection (GValue* value, gpointer v_object);
void value_take_data_collection (GValue* value, gpointer v_object);
gpointer value_get_data_collection (const GValue* value);
GType data_collection_get_type (void) G_GNUC_CONST;
GType data_source_get_type (void) G_GNUC_CONST;
gpointer source_holding_tank_ref (gpointer instance);
void source_holding_tank_unref (gpointer instance);
GParamSpec* param_spec_source_holding_tank (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_source_holding_tank (GValue* value, gpointer v_object);
void value_take_source_holding_tank (GValue* value, gpointer v_object);
gpointer value_get_source_holding_tank (const GValue* value);
GType source_holding_tank_get_type (void) G_GNUC_CONST;
GType source_collection_get_type (void) G_GNUC_CONST;
gpointer source_snapshot_ref (gpointer instance);
void source_snapshot_unref (gpointer instance);
GParamSpec* param_spec_source_snapshot (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_source_snapshot (GValue* value, gpointer v_object);
void value_take_source_snapshot (GValue* value, gpointer v_object);
gpointer value_get_source_snapshot (const GValue* value);
GType source_snapshot_get_type (void) G_GNUC_CONST;
GType data_view_get_type (void) G_GNUC_CONST;
#define DATA_SOURCE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_DATA_SOURCE, DataSourcePrivate))
enum  {
	DATA_SOURCE_DUMMY_PROPERTY
};
DataSource* data_source_construct (GType object_type, gint64 object_id);
DataObject* data_object_construct (GType object_type, gint64 object_id);
static void data_source_real_notify_membership_changed (DataObject* base, DataCollection* collection);
void data_source_notify_unlinked (DataSource* self);
void data_object_notify_membership_changed (DataObject* self, DataCollection* collection);
void data_source_notify_held_in_tank (DataSource* self, SourceHoldingTank* holding_tank);
static void data_source_real_notify_held_in_tank (DataSource* self, SourceHoldingTank* holding_tank);
DataCollection* data_object_get_membership (DataObject* self);
static void data_source_real_notify_altered (DataObject* base, Alteration* alteration);
void source_holding_tank_internal_notify_altered (SourceHoldingTank* self, DataSource* source, Alteration* alteration);
void data_source_contact_subscribers_alteration (DataSource* self, Alteration* alteration);
void data_object_notify_altered (DataObject* self, Alteration* alteration);
void data_source_notify_unlinking (DataSource* self, SourceCollection* collection);
static void data_source_real_notify_unlinking (DataSource* self, SourceCollection* collection);
static void data_source_real_notify_unlinked (DataSource* self);
void data_source_commit_backlinks (DataSource* self, SourceCollection* sources, const gchar* dehydrated);
static gchar* data_source_dehydrate_backlinks (DataSource* self);
void data_source_notify_relinking (DataSource* self, SourceCollection* collection);
static void data_source_real_notify_relinking (DataSource* self, SourceCollection* collection);
void data_source_notify_relinked (DataSource* self);
static void data_source_real_notify_relinked (DataSource* self);
gchar* data_source_get_typename (DataSource* self);
static gchar* data_source_real_get_typename (DataSource* self);
gint64 data_source_get_instance_id (DataSource* self);
static gint64 data_source_real_get_instance_id (DataSource* self);
gchar* data_source_get_source_id (DataSource* self);
static gchar* data_source_real_get_source_id (DataSource* self);
gpointer source_backlink_ref (gpointer instance);
void source_backlink_unref (gpointer instance);
GParamSpec* param_spec_source_backlink (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_source_backlink (GValue* value, gpointer v_object);
void value_take_source_backlink (GValue* value, gpointer v_object);
gpointer value_get_source_backlink (const GValue* value);
GType source_backlink_get_type (void) G_GNUC_CONST;
gboolean data_source_has_backlink (DataSource* self, SourceBacklink* backlink);
const gchar* source_backlink_get_name (SourceBacklink* self);
const gchar* source_backlink_get_value (SourceBacklink* self);
GeeList* data_source_get_backlinks (DataSource* self, const gchar* name);
SourceBacklink* source_backlink_new (const gchar* name, const gchar* value);
SourceBacklink* source_backlink_construct (GType object_type, const gchar* name, const gchar* value);
void data_source_set_backlink (DataSource* self, SourceBacklink* backlink);
void source_collection_internal_backlink_set (SourceCollection* self, DataSource* source, SourceBacklink* backlink);
gboolean data_source_remove_backlink (DataSource* self, SourceBacklink* backlink);
void source_collection_internal_backlink_removed (SourceCollection* self, DataSource* source, SourceBacklink* backlink);
static void data_source_real_commit_backlinks (DataSource* self, SourceCollection* sources, const gchar* dehydrated);
gchar* data_object_to_string (DataObject* self);
gboolean is_string_empty (const gchar* s);
void data_source_rehydrate_backlinks (DataSource* self, SourceCollection* unlinked_from, const gchar* dehydrated);
SourceSnapshot* data_source_save_snapshot (DataSource* self);
static SourceSnapshot* data_source_real_save_snapshot (DataSource* self);
void data_source_internal_mark_for_destroy (DataSource* self);
gboolean data_source_internal_delete_backing (DataSource* self, GError** error);
static gboolean data_source_real_internal_delete_backing (DataSource* self, GError** error);
gboolean data_source_equals (DataSource* self, DataSource* source);
static gboolean data_source_real_equals (DataSource* self, DataSource* source);
void data_source_destroy (DataSource* self);
static void data_source_real_destroy (DataSource* self);
void data_view_notify_unsubscribed (DataView* self, DataSource* source);
gboolean data_source_destroy_orphan (DataSource* self, gboolean delete_backing);
void source_collection_notify_unlinked_destroyed (SourceCollection* self, DataSource* unlinked);
void data_source_internal_subscribe (DataSource* self, DataView* view);
static void _vala_array_add121 (DataView*** array, int* length, int* size, DataView* value);
void data_source_internal_unsubscribe (DataSource* self, DataView* view);
void data_source_contact_subscribers (DataSource* self, DataSourceContactSubscriber contact_subscriber, void* contact_subscriber_target);
static void data_source_real_unlinked (DataSource* self, SourceCollection* sources);
static void g_cclosure_user_marshal_VOID__DATA_COLLECTION (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void data_source_real_relinked (DataSource* self, SourceCollection* sources);
static void data_source_real_destroyed (DataSource* self);
static void data_source_finalize (GObject* obj);
#define SOURCE_SNAPSHOT_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_SOURCE_SNAPSHOT, SourceSnapshotPrivate))
enum  {
	SOURCE_SNAPSHOT_DUMMY_PROPERTY
};
void source_snapshot_notify_broken (SourceSnapshot* self);
static void source_snapshot_real_notify_broken (SourceSnapshot* self);
gboolean source_snapshot_is_broken (SourceSnapshot* self);
SourceSnapshot* source_snapshot_construct (GType object_type);
static void source_snapshot_real_broken (SourceSnapshot* self);
static void source_snapshot_finalize (SourceSnapshot* obj);
#define SOURCE_BACKLINK_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_SOURCE_BACKLINK, SourceBacklinkPrivate))
enum  {
	SOURCE_BACKLINK_DUMMY_PROPERTY
};
static gboolean source_backlink_validate_name_value (const gchar* name, const gchar* value);
SourceBacklink* source_backlink_new_from_source (DataSource* source);
SourceBacklink* source_backlink_construct_from_source (GType object_type, DataSource* source);
gchar* source_backlink_to_string (SourceBacklink* self);
guint source_backlink_hash_func (void* key);
gboolean source_backlink_equal_func (void* a, void* b);
const gchar* source_backlink_get_typename (SourceBacklink* self);
gint64 source_backlink_get_instance_id (SourceBacklink* self);
static void source_backlink_finalize (SourceBacklink* obj);
gpointer source_proxy_ref (gpointer instance);
void source_proxy_unref (gpointer instance);
GParamSpec* param_spec_source_proxy (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_source_proxy (GValue* value, gpointer v_object);
void value_take_source_proxy (GValue* value, gpointer v_object);
gpointer value_get_source_proxy (const GValue* value);
GType source_proxy_get_type (void) G_GNUC_CONST;
#define SOURCE_PROXY_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_SOURCE_PROXY, SourceProxyPrivate))
enum  {
	SOURCE_PROXY_DUMMY_PROPERTY
};
static void source_proxy_drop_source (SourceProxy* self);
static void source_proxy_on_source_added (SourceProxy* self, GeeIterable* added);
static void _source_proxy_on_source_added_data_collection_items_added (DataCollection* _sender, GeeIterable* added, gpointer self);
SourceProxy* source_proxy_construct (GType object_type, DataSource* source);
gint64 data_object_get_object_id (DataObject* self);
static void source_proxy_on_snapshot_broken (SourceProxy* self);
static void _source_proxy_on_snapshot_broken_source_snapshot_broken (SourceSnapshot* _sender, gpointer self);
static void source_proxy_set_source (SourceProxy* self, DataSource* source);
DataSource* source_proxy_reconstitute (SourceProxy* self, gint64 object_id, SourceSnapshot* snapshot);
static DataSource* source_proxy_real_reconstitute (SourceProxy* self, gint64 object_id, SourceSnapshot* snapshot);
void source_proxy_notify_reconstituted (SourceProxy* self, DataSource* source);
static void source_proxy_real_notify_reconstituted (SourceProxy* self, DataSource* source);
void source_proxy_notify_dehydrated (SourceProxy* self);
static void source_proxy_real_notify_dehydrated (SourceProxy* self);
void source_proxy_notify_broken (SourceProxy* self);
static void source_proxy_real_notify_broken (SourceProxy* self);
static void source_proxy_on_destroyed (SourceProxy* self);
static void _source_proxy_on_destroyed_data_source_destroyed (DataSource* _sender, gpointer self);
DataSource* source_proxy_get_source (SourceProxy* self);
gboolean data_collection_contains (DataCollection* self, DataObject* object);
static void source_proxy_real_reconstituted (SourceProxy* self, DataSource* source);
static void source_proxy_real_dehydrated (SourceProxy* self);
static void source_proxy_real_broken (SourceProxy* self);
static void source_proxy_finalize (SourceProxy* obj);
GType proxyable_get_type (void) G_GNUC_CONST;
SourceProxy* proxyable_get_proxy (Proxyable* self);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


DataSource* data_source_construct (GType object_type, gint64 object_id) {
	DataSource * self = NULL;
	gint64 _tmp0_;
#line 64 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = object_id;
#line 64 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = (DataSource*) data_object_construct (object_type, _tmp0_);
#line 63 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return self;
#line 489 "DataSource.c"
}


static void data_source_real_notify_membership_changed (DataObject* base, DataCollection* collection) {
	DataSource * self;
	DataCollection* _tmp0_;
	gboolean _tmp6_ = FALSE;
	DataCollection* _tmp7_;
	gboolean _tmp9_;
	DataCollection* _tmp10_;
#line 73 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (base, TYPE_DATA_SOURCE, DataSource);
#line 73 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail ((collection == NULL) || IS_DATA_COLLECTION (collection));
#line 75 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = collection;
#line 75 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp0_ == NULL) {
#line 508 "DataSource.c"
		gboolean _tmp1_ = FALSE;
		gboolean _tmp2_;
		gboolean _tmp4_;
#line 76 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = self->priv->is_destroyed;
#line 76 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		if (_tmp2_) {
#line 76 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp1_ = TRUE;
#line 518 "DataSource.c"
		} else {
			GeeHashMap* _tmp3_;
#line 76 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp3_ = self->priv->backlinks;
#line 76 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp1_ = _tmp3_ != NULL;
#line 525 "DataSource.c"
		}
#line 76 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp4_ = _tmp1_;
#line 76 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_vala_assert (_tmp4_, "is_destroyed || backlinks != null");
#line 531 "DataSource.c"
	} else {
		gboolean _tmp5_;
#line 78 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp5_ = self->priv->is_destroyed;
#line 78 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_vala_assert (!_tmp5_, "!is_destroyed");
#line 538 "DataSource.c"
	}
#line 82 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp7_ = collection;
#line 82 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp7_ == NULL) {
#line 544 "DataSource.c"
		GeeHashMap* _tmp8_;
#line 82 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp8_ = self->priv->backlinks;
#line 82 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp6_ = _tmp8_ != NULL;
#line 550 "DataSource.c"
	} else {
#line 82 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp6_ = FALSE;
#line 554 "DataSource.c"
	}
#line 82 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp9_ = _tmp6_;
#line 82 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp9_) {
#line 83 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		data_source_notify_unlinked (self);
#line 562 "DataSource.c"
	}
#line 85 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp10_ = collection;
#line 85 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_OBJECT_CLASS (data_source_parent_class)->notify_membership_changed (G_TYPE_CHECK_INSTANCE_CAST (self, TYPE_DATA_OBJECT, DataObject), _tmp10_);
#line 568 "DataSource.c"
}


static gpointer _source_holding_tank_ref0 (gpointer self) {
#line 100 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return self ? source_holding_tank_ref (self) : NULL;
#line 575 "DataSource.c"
}


static void data_source_real_notify_held_in_tank (DataSource* self, SourceHoldingTank* holding_tank) {
	DataCollection* _tmp0_ = NULL;
	DataCollection* _tmp1_;
	SourceHoldingTank* _tmp2_;
	SourceHoldingTank* _tmp5_;
	SourceHoldingTank* _tmp6_;
#line 88 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail ((holding_tank == NULL) || IS_SOURCE_HOLDING_TANK (holding_tank));
#line 90 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = data_object_get_membership (G_TYPE_CHECK_INSTANCE_CAST (self, TYPE_DATA_OBJECT, DataObject));
#line 90 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = _tmp0_;
#line 90 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp1_ == NULL, "get_membership() == null");
#line 90 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_data_collection_unref0 (_tmp1_);
#line 94 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = holding_tank;
#line 94 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp2_ != NULL) {
#line 599 "DataSource.c"
		SourceHoldingTank* _tmp3_;
#line 95 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp3_ = self->priv->holding_tank;
#line 95 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_vala_assert (_tmp3_ == NULL, "this.holding_tank == null");
#line 605 "DataSource.c"
	} else {
		SourceHoldingTank* _tmp4_;
#line 97 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp4_ = self->priv->holding_tank;
#line 97 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_vala_assert (_tmp4_ != NULL, "this.holding_tank != null");
#line 612 "DataSource.c"
	}
#line 100 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = holding_tank;
#line 100 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = _source_holding_tank_ref0 (_tmp5_);
#line 100 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_source_holding_tank_unref0 (self->priv->holding_tank);
#line 100 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->holding_tank = _tmp6_;
#line 622 "DataSource.c"
}


void data_source_notify_held_in_tank (DataSource* self, SourceHoldingTank* holding_tank) {
#line 88 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 88 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_GET_CLASS (self)->notify_held_in_tank (self, holding_tank);
#line 631 "DataSource.c"
}


static void data_source_real_notify_altered (DataObject* base, Alteration* alteration) {
	DataSource * self;
	SourceHoldingTank* _tmp0_;
#line 103 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (base, TYPE_DATA_SOURCE, DataSource);
#line 103 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_ALTERATION (alteration));
#line 105 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->holding_tank;
#line 105 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp0_ != NULL) {
#line 646 "DataSource.c"
		SourceHoldingTank* _tmp1_;
		Alteration* _tmp2_;
#line 106 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp1_ = self->priv->holding_tank;
#line 106 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = alteration;
#line 106 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_holding_tank_internal_notify_altered (_tmp1_, self, _tmp2_);
#line 655 "DataSource.c"
	} else {
		Alteration* _tmp3_;
		Alteration* _tmp4_;
#line 108 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp3_ = alteration;
#line 108 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		data_source_contact_subscribers_alteration (self, _tmp3_);
#line 110 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp4_ = alteration;
#line 110 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		DATA_OBJECT_CLASS (data_source_parent_class)->notify_altered (G_TYPE_CHECK_INSTANCE_CAST (self, TYPE_DATA_OBJECT, DataObject), _tmp4_);
#line 667 "DataSource.c"
	}
}


static void data_source_real_notify_unlinking (DataSource* self, SourceCollection* collection) {
	gboolean _tmp0_ = FALSE;
	GeeHashMap* _tmp1_;
	gboolean _tmp3_;
	SourceCollection* _tmp4_;
	GeeHashMap* _tmp5_;
#line 115 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_COLLECTION (collection));
#line 116 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = self->priv->backlinks;
#line 116 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp1_ == NULL) {
#line 684 "DataSource.c"
		SourceCollection* _tmp2_;
#line 116 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = self->priv->unlinked_from_collection;
#line 116 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = _tmp2_ == NULL;
#line 690 "DataSource.c"
	} else {
#line 116 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = FALSE;
#line 694 "DataSource.c"
	}
#line 116 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = _tmp0_;
#line 116 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp3_, "backlinks == null && unlinked_from_collection == null");
#line 118 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = collection;
#line 118 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->unlinked_from_collection = _tmp4_;
#line 119 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, GEE_TYPE_LIST, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 119 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (self->priv->backlinks);
#line 119 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->backlinks = _tmp5_;
#line 710 "DataSource.c"
}


void data_source_notify_unlinking (DataSource* self, SourceCollection* collection) {
#line 115 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 115 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_GET_CLASS (self)->notify_unlinking (self, collection);
#line 719 "DataSource.c"
}


static void data_source_real_notify_unlinked (DataSource* self) {
	gboolean _tmp0_ = FALSE;
	SourceCollection* _tmp1_;
	gboolean _tmp3_;
	SourceCollection* _tmp4_;
	GeeHashMap* _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
#line 124 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = self->priv->unlinked_from_collection;
#line 124 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp1_ != NULL) {
#line 735 "DataSource.c"
		GeeHashMap* _tmp2_;
#line 124 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = self->priv->backlinks;
#line 124 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = _tmp2_ != NULL;
#line 741 "DataSource.c"
	} else {
#line 124 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = FALSE;
#line 745 "DataSource.c"
	}
#line 124 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = _tmp0_;
#line 124 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp3_, "unlinked_from_collection != null && backlinks != null");
#line 126 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = self->priv->unlinked_from_collection;
#line 126 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_emit_by_name (self, "unlinked", _tmp4_);
#line 129 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = self->priv->backlinks;
#line 129 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = gee_abstract_map_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, GEE_TYPE_MAP, GeeMap));
#line 129 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp7_ = _tmp6_;
#line 129 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp7_ > 0) {
#line 763 "DataSource.c"
		SourceCollection* _tmp8_;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_;
#line 130 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp8_ = self->priv->unlinked_from_collection;
#line 130 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp9_ = data_source_dehydrate_backlinks (self);
#line 130 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp10_ = _tmp9_;
#line 130 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		data_source_commit_backlinks (self, _tmp8_, _tmp10_);
#line 130 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_free0 (_tmp10_);
#line 777 "DataSource.c"
	}
}


void data_source_notify_unlinked (DataSource* self) {
#line 123 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 123 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_GET_CLASS (self)->notify_unlinked (self);
#line 787 "DataSource.c"
}


static void data_source_real_notify_relinking (DataSource* self, SourceCollection* collection) {
	gboolean _tmp0_ = FALSE;
	GeeHashMap* _tmp1_;
	gboolean _tmp4_;
#line 134 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_COLLECTION (collection));
#line 135 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = self->priv->backlinks;
#line 135 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp1_ != NULL) {
#line 801 "DataSource.c"
		SourceCollection* _tmp2_;
		SourceCollection* _tmp3_;
#line 135 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = self->priv->unlinked_from_collection;
#line 135 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp3_ = collection;
#line 135 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = _tmp2_ == _tmp3_;
#line 810 "DataSource.c"
	} else {
#line 135 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = FALSE;
#line 814 "DataSource.c"
	}
#line 135 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = _tmp0_;
#line 135 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp4_, "(backlinks != null) && (unlinked_from_collection == collection)");
#line 820 "DataSource.c"
}


void data_source_notify_relinking (DataSource* self, SourceCollection* collection) {
#line 134 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 134 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_GET_CLASS (self)->notify_relinking (self, collection);
#line 829 "DataSource.c"
}


static gpointer _data_collection_ref0 (gpointer self) {
#line 142 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return self ? data_collection_ref (self) : NULL;
#line 836 "DataSource.c"
}


static void data_source_real_notify_relinked (DataSource* self) {
	gboolean _tmp0_ = FALSE;
	GeeHashMap* _tmp1_;
	gboolean _tmp3_;
	SourceCollection* _tmp4_;
	SourceCollection* _tmp5_;
	SourceCollection* relinked_to;
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = self->priv->backlinks;
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp1_ != NULL) {
#line 851 "DataSource.c"
		SourceCollection* _tmp2_;
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = self->priv->unlinked_from_collection;
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = _tmp2_ != NULL;
#line 857 "DataSource.c"
	} else {
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = FALSE;
#line 861 "DataSource.c"
	}
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = _tmp0_;
#line 140 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp3_, "backlinks != null && unlinked_from_collection != null");
#line 142 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = self->priv->unlinked_from_collection;
#line 142 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = _data_collection_ref0 (_tmp4_);
#line 142 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	relinked_to = _tmp5_;
#line 143 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (self->priv->backlinks);
#line 143 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->backlinks = NULL;
#line 144 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->unlinked_from_collection = NULL;
#line 145 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_emit_by_name (self, "relinked", relinked_to);
#line 148 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	data_source_commit_backlinks (self, NULL, NULL);
#line 139 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_data_collection_unref0 (relinked_to);
#line 885 "DataSource.c"
}


void data_source_notify_relinked (DataSource* self) {
#line 139 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 139 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_GET_CLASS (self)->notify_relinked (self);
#line 894 "DataSource.c"
}


static gchar* data_source_real_get_typename (DataSource* self) {
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_critical ("Type `%s' does not implement abstract method `data_source_get_typename'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return NULL;
#line 903 "DataSource.c"
}


gchar* data_source_get_typename (DataSource* self) {
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), NULL);
#line 156 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return DATA_SOURCE_GET_CLASS (self)->get_typename (self);
#line 912 "DataSource.c"
}


static gint64 data_source_real_get_instance_id (DataSource* self) {
#line 162 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_critical ("Type `%s' does not implement abstract method `data_source_get_instance_id'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 162 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return 0LL;
#line 921 "DataSource.c"
}


gint64 data_source_get_instance_id (DataSource* self) {
#line 162 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), 0LL);
#line 162 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return DATA_SOURCE_GET_CLASS (self)->get_instance_id (self);
#line 930 "DataSource.c"
}


static gchar* data_source_real_get_source_id (DataSource* self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_;
	gint64 _tmp2_ = 0LL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_;
#line 167 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = data_source_get_typename (self);
#line 167 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = _tmp0_;
#line 167 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = data_source_get_instance_id (self);
#line 167 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = g_strdup_printf ("%s-%016" G_GINT64_MODIFIER "x", _tmp1_, _tmp2_);
#line 167 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = _tmp3_;
#line 167 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (_tmp1_);
#line 167 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp4_;
#line 167 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 957 "DataSource.c"
}


gchar* data_source_get_source_id (DataSource* self) {
#line 166 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), NULL);
#line 166 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return DATA_SOURCE_GET_CLASS (self)->get_source_id (self);
#line 966 "DataSource.c"
}


gboolean data_source_has_backlink (DataSource* self, SourceBacklink* backlink) {
	gboolean result = FALSE;
	GeeHashMap* _tmp0_;
	GeeHashMap* _tmp1_;
	SourceBacklink* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	gpointer _tmp5_ = NULL;
	GeeList* values;
	gboolean _tmp6_ = FALSE;
	GeeList* _tmp7_;
#line 170 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), FALSE);
#line 170 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_SOURCE_BACKLINK (backlink), FALSE);
#line 171 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->backlinks;
#line 171 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp0_ == NULL) {
#line 172 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		result = FALSE;
#line 172 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return result;
#line 993 "DataSource.c"
	}
#line 174 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = self->priv->backlinks;
#line 174 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = backlink;
#line 174 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = source_backlink_get_name (_tmp2_);
#line 174 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = _tmp3_;
#line 174 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = gee_abstract_map_get (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, GEE_TYPE_ABSTRACT_MAP, GeeAbstractMap), _tmp4_);
#line 174 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	values = (GeeList*) _tmp5_;
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp7_ = values;
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp7_ != NULL) {
#line 1011 "DataSource.c"
		GeeList* _tmp8_;
		SourceBacklink* _tmp9_;
		const gchar* _tmp10_;
		const gchar* _tmp11_;
		gboolean _tmp12_ = FALSE;
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp8_ = values;
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp9_ = backlink;
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp10_ = source_backlink_get_value (_tmp9_);
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp11_ = _tmp10_;
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp12_ = gee_collection_contains (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, GEE_TYPE_COLLECTION, GeeCollection), _tmp11_);
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp6_ = _tmp12_;
#line 1029 "DataSource.c"
	} else {
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp6_ = FALSE;
#line 1033 "DataSource.c"
	}
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp6_;
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (values);
#line 176 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 1041 "DataSource.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return self ? g_object_ref (self) : NULL;
#line 1048 "DataSource.c"
}


GeeList* data_source_get_backlinks (DataSource* self, const gchar* name) {
	GeeList* result = NULL;
	GeeHashMap* _tmp0_;
	GeeHashMap* _tmp1_;
	const gchar* _tmp2_;
	gpointer _tmp3_ = NULL;
	GeeList* values;
	gboolean _tmp4_ = FALSE;
	GeeList* _tmp5_;
	gboolean _tmp9_;
	GeeArrayList* _tmp10_;
	GeeList* backlinks;
#line 179 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), NULL);
#line 179 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->backlinks;
#line 180 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp0_ == NULL) {
#line 181 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		result = NULL;
#line 181 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return result;
#line 1076 "DataSource.c"
	}
#line 183 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = self->priv->backlinks;
#line 183 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = name;
#line 183 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = gee_abstract_map_get (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, GEE_TYPE_ABSTRACT_MAP, GeeAbstractMap), _tmp2_);
#line 183 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	values = (GeeList*) _tmp3_;
#line 184 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = values;
#line 184 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp5_ == NULL) {
#line 184 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp4_ = TRUE;
#line 1092 "DataSource.c"
	} else {
		GeeList* _tmp6_;
		gint _tmp7_;
		gint _tmp8_;
#line 184 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp6_ = values;
#line 184 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp7_ = gee_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, GEE_TYPE_COLLECTION, GeeCollection));
#line 184 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp8_ = _tmp7_;
#line 184 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp4_ = _tmp8_ == 0;
#line 1105 "DataSource.c"
	}
#line 184 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp9_ = _tmp4_;
#line 184 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp9_) {
#line 185 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		result = NULL;
#line 185 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_object_unref0 (values);
#line 185 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return result;
#line 1117 "DataSource.c"
	}
#line 187 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp10_ = gee_array_list_new (TYPE_SOURCE_BACKLINK, (GBoxedCopyFunc) source_backlink_ref, source_backlink_unref, NULL);
#line 187 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	backlinks = G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, GEE_TYPE_LIST, GeeList);
#line 1123 "DataSource.c"
	{
		GeeList* _tmp11_;
		GeeList* _tmp12_;
		GeeList* _value_list;
		GeeList* _tmp13_;
		gint _tmp14_;
		gint _tmp15_;
		gint _value_size;
		gint _value_index;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp11_ = values;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp12_ = _g_object_ref0 (_tmp11_);
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_value_list = _tmp12_;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp13_ = _value_list;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp14_ = gee_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, GEE_TYPE_COLLECTION, GeeCollection));
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp15_ = _tmp14_;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_value_size = _tmp15_;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_value_index = -1;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		while (TRUE) {
#line 1151 "DataSource.c"
			gint _tmp16_;
			gint _tmp17_;
			gint _tmp18_;
			GeeList* _tmp19_;
			gint _tmp20_;
			gpointer _tmp21_ = NULL;
			gchar* value;
			GeeList* _tmp22_;
			const gchar* _tmp23_;
			const gchar* _tmp24_;
			SourceBacklink* _tmp25_;
			SourceBacklink* _tmp26_;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp16_ = _value_index;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_value_index = _tmp16_ + 1;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp17_ = _value_index;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp18_ = _value_size;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			if (!(_tmp17_ < _tmp18_)) {
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				break;
#line 1176 "DataSource.c"
			}
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp19_ = _value_list;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp20_ = _value_index;
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp21_ = gee_list_get (_tmp19_, _tmp20_);
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			value = (gchar*) _tmp21_;
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp22_ = backlinks;
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp23_ = name;
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp24_ = value;
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp25_ = source_backlink_new (_tmp23_, _tmp24_);
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp26_ = _tmp25_;
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			gee_collection_add (G_TYPE_CHECK_INSTANCE_CAST (_tmp22_, GEE_TYPE_COLLECTION, GeeCollection), _tmp26_);
#line 189 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_source_backlink_unref0 (_tmp26_);
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_g_free0 (value);
#line 1202 "DataSource.c"
		}
#line 188 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_object_unref0 (_value_list);
#line 1206 "DataSource.c"
	}
#line 191 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = backlinks;
#line 191 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (values);
#line 191 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 1214 "DataSource.c"
}


void data_source_set_backlink (DataSource* self, SourceBacklink* backlink) {
	GeeHashMap* _tmp0_;
	GeeHashMap* _tmp1_;
	SourceBacklink* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	gpointer _tmp5_ = NULL;
	GeeList* values;
	GeeList* _tmp6_;
	GeeList* _tmp13_;
	SourceBacklink* _tmp14_;
	const gchar* _tmp15_;
	const gchar* _tmp16_;
	DataCollection* _tmp17_ = NULL;
	SourceCollection* sources;
	SourceCollection* _tmp18_;
#line 194 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 194 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_BACKLINK (backlink));
#line 196 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->backlinks;
#line 196 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp0_ != NULL, "backlinks != null");
#line 198 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = self->priv->backlinks;
#line 198 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = backlink;
#line 198 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = source_backlink_get_name (_tmp2_);
#line 198 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = _tmp3_;
#line 198 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = gee_abstract_map_get (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, GEE_TYPE_ABSTRACT_MAP, GeeAbstractMap), _tmp4_);
#line 198 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	values = (GeeList*) _tmp5_;
#line 199 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = values;
#line 199 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp6_ == NULL) {
#line 1258 "DataSource.c"
		GeeArrayList* _tmp7_;
		GeeHashMap* _tmp8_;
		SourceBacklink* _tmp9_;
		const gchar* _tmp10_;
		const gchar* _tmp11_;
		GeeList* _tmp12_;
#line 200 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp7_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL);
#line 200 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_object_unref0 (values);
#line 200 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		values = G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, GEE_TYPE_LIST, GeeList);
#line 201 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp8_ = self->priv->backlinks;
#line 201 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp9_ = backlink;
#line 201 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp10_ = source_backlink_get_name (_tmp9_);
#line 201 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp11_ = _tmp10_;
#line 201 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp12_ = values;
#line 201 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		gee_abstract_map_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, GEE_TYPE_ABSTRACT_MAP, GeeAbstractMap), _tmp11_, _tmp12_);
#line 1283 "DataSource.c"
	}
#line 204 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp13_ = values;
#line 204 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp14_ = backlink;
#line 204 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp15_ = source_backlink_get_value (_tmp14_);
#line 204 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp16_ = _tmp15_;
#line 204 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	gee_collection_add (G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, GEE_TYPE_COLLECTION, GeeCollection), _tmp16_);
#line 206 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp17_ = data_object_get_membership (G_TYPE_CHECK_INSTANCE_CAST (self, TYPE_DATA_OBJECT, DataObject));
#line 206 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	sources = G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, TYPE_SOURCE_COLLECTION, SourceCollection);
#line 207 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp18_ = sources;
#line 207 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp18_ != NULL) {
#line 1303 "DataSource.c"
		SourceCollection* _tmp19_;
		SourceBacklink* _tmp20_;
#line 208 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp19_ = sources;
#line 208 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp20_ = backlink;
#line 208 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_collection_internal_backlink_set (_tmp19_, self, _tmp20_);
#line 1312 "DataSource.c"
	}
#line 194 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_data_collection_unref0 (sources);
#line 194 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (values);
#line 1318 "DataSource.c"
}


gboolean data_source_remove_backlink (DataSource* self, SourceBacklink* backlink) {
	gboolean result = FALSE;
	GeeHashMap* _tmp0_;
	GeeHashMap* _tmp1_;
	SourceBacklink* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	gpointer _tmp5_ = NULL;
	GeeList* values;
	GeeList* _tmp6_;
	GeeList* _tmp7_;
	gint _tmp8_;
	gint _tmp9_;
	gint original_size;
	gint _tmp10_;
	GeeList* _tmp11_;
	GeeIterator* _tmp12_ = NULL;
	GeeIterator* iter;
	GeeList* _tmp23_;
	gint _tmp24_;
	gint _tmp25_;
	SourceCollection* _tmp30_;
	gchar* _tmp31_ = NULL;
	gchar* _tmp32_;
	DataCollection* _tmp33_ = NULL;
	SourceCollection* sources;
	SourceCollection* _tmp34_;
	GeeList* _tmp37_;
	gint _tmp38_;
	gint _tmp39_;
	gint _tmp40_;
#line 211 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), FALSE);
#line 211 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_SOURCE_BACKLINK (backlink), FALSE);
#line 212 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->backlinks;
#line 212 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp0_ == NULL) {
#line 213 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		result = FALSE;
#line 213 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return result;
#line 1365 "DataSource.c"
	}
#line 215 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = self->priv->backlinks;
#line 215 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = backlink;
#line 215 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = source_backlink_get_name (_tmp2_);
#line 215 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = _tmp3_;
#line 215 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = gee_abstract_map_get (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, GEE_TYPE_ABSTRACT_MAP, GeeAbstractMap), _tmp4_);
#line 215 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	values = (GeeList*) _tmp5_;
#line 216 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = values;
#line 216 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp6_ == NULL) {
#line 217 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		result = FALSE;
#line 217 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_object_unref0 (values);
#line 217 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return result;
#line 1389 "DataSource.c"
	}
#line 219 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp7_ = values;
#line 219 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp8_ = gee_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, GEE_TYPE_COLLECTION, GeeCollection));
#line 219 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp9_ = _tmp8_;
#line 219 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	original_size = _tmp9_;
#line 220 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp10_ = original_size;
#line 220 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp10_ > 0, "original_size > 0");
#line 222 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp11_ = values;
#line 222 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp12_ = gee_iterable_iterator (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, GEE_TYPE_ITERABLE, GeeIterable));
#line 222 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	iter = _tmp12_;
#line 223 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	while (TRUE) {
#line 1411 "DataSource.c"
		GeeIterator* _tmp13_;
		gboolean _tmp14_ = FALSE;
		GeeIterator* _tmp15_;
		gpointer _tmp16_ = NULL;
		gchar* _tmp17_;
		SourceBacklink* _tmp18_;
		const gchar* _tmp19_;
		const gchar* _tmp20_;
		gboolean _tmp21_;
#line 223 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp13_ = iter;
#line 223 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp14_ = gee_iterator_next (_tmp13_);
#line 223 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		if (!_tmp14_) {
#line 223 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			break;
#line 1429 "DataSource.c"
		}
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp15_ = iter;
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp16_ = gee_iterator_get (_tmp15_);
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp17_ = (gchar*) _tmp16_;
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp18_ = backlink;
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp19_ = source_backlink_get_value (_tmp18_);
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp20_ = _tmp19_;
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp21_ = g_strcmp0 (_tmp17_, _tmp20_) == 0;
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_free0 (_tmp17_);
#line 224 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		if (_tmp21_) {
#line 1449 "DataSource.c"
			GeeIterator* _tmp22_;
#line 225 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp22_ = iter;
#line 225 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			gee_iterator_remove (_tmp22_);
#line 1455 "DataSource.c"
		}
	}
#line 228 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp23_ = values;
#line 228 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp24_ = gee_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp23_, GEE_TYPE_COLLECTION, GeeCollection));
#line 228 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp25_ = _tmp24_;
#line 228 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp25_ == 0) {
#line 1466 "DataSource.c"
		GeeHashMap* _tmp26_;
		SourceBacklink* _tmp27_;
		const gchar* _tmp28_;
		const gchar* _tmp29_;
#line 229 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp26_ = self->priv->backlinks;
#line 229 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp27_ = backlink;
#line 229 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp28_ = source_backlink_get_name (_tmp27_);
#line 229 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp29_ = _tmp28_;
#line 229 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		gee_abstract_map_unset (G_TYPE_CHECK_INSTANCE_CAST (_tmp26_, GEE_TYPE_ABSTRACT_MAP, GeeAbstractMap), _tmp29_, NULL);
#line 1481 "DataSource.c"
	}
#line 233 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp30_ = self->priv->unlinked_from_collection;
#line 233 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp31_ = data_source_dehydrate_backlinks (self);
#line 233 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp32_ = _tmp31_;
#line 233 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	data_source_commit_backlinks (self, _tmp30_, _tmp32_);
#line 233 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (_tmp32_);
#line 235 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp33_ = data_object_get_membership (G_TYPE_CHECK_INSTANCE_CAST (self, TYPE_DATA_OBJECT, DataObject));
#line 235 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	sources = G_TYPE_CHECK_INSTANCE_CAST (_tmp33_, TYPE_SOURCE_COLLECTION, SourceCollection);
#line 236 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp34_ = sources;
#line 236 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp34_ != NULL) {
#line 1501 "DataSource.c"
		SourceCollection* _tmp35_;
		SourceBacklink* _tmp36_;
#line 237 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp35_ = sources;
#line 237 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp36_ = backlink;
#line 237 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_collection_internal_backlink_removed (_tmp35_, self, _tmp36_);
#line 1510 "DataSource.c"
	}
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp37_ = values;
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp38_ = gee_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp37_, GEE_TYPE_COLLECTION, GeeCollection));
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp39_ = _tmp38_;
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp40_ = original_size;
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp39_ != _tmp40_;
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_data_collection_unref0 (sources);
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (iter);
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (values);
#line 239 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 1530 "DataSource.c"
}


static void data_source_real_commit_backlinks (DataSource* self, SourceCollection* sources, const gchar* dehydrated) {
	gboolean _tmp0_ = FALSE;
	SourceCollection* _tmp1_;
	gboolean _tmp3_;
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail ((sources == NULL) || IS_SOURCE_COLLECTION (sources));
#line 249 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = sources;
#line 249 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp1_ != NULL) {
#line 249 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = TRUE;
#line 1546 "DataSource.c"
	} else {
		const gchar* _tmp2_;
#line 249 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = dehydrated;
#line 249 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = _tmp2_ != NULL;
#line 1553 "DataSource.c"
	}
#line 249 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = _tmp0_;
#line 249 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp3_) {
#line 1559 "DataSource.c"
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_;
#line 250 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp4_ = data_object_to_string (G_TYPE_CHECK_INSTANCE_CAST (self, TYPE_DATA_OBJECT, DataObject));
#line 250 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp5_ = _tmp4_;
#line 250 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_warning ("DataSource.vala:250: No implementation to commit link state for %s", _tmp5_);
#line 250 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_free0 (_tmp5_);
#line 1570 "DataSource.c"
	}
}


void data_source_commit_backlinks (DataSource* self, SourceCollection* sources, const gchar* dehydrated) {
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 248 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_GET_CLASS (self)->commit_backlinks (self, sources, dehydrated);
#line 1580 "DataSource.c"
}


static gchar* data_source_dehydrate_backlinks (DataSource* self) {
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	GeeHashMap* _tmp1_;
	gboolean _tmp5_;
	GString* _tmp6_;
	GString* builder;
	const gchar* _tmp53_ = NULL;
	GString* _tmp54_;
	const gchar* _tmp55_;
	gint _tmp56_;
	gint _tmp57_;
	const gchar* _tmp60_;
	gchar* _tmp61_;
#line 253 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), NULL);
#line 254 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = self->priv->backlinks;
#line 254 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp1_ == NULL) {
#line 254 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = TRUE;
#line 1606 "DataSource.c"
	} else {
		GeeHashMap* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
#line 254 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = self->priv->backlinks;
#line 254 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp3_ = gee_abstract_map_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, GEE_TYPE_MAP, GeeMap));
#line 254 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp4_ = _tmp3_;
#line 254 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = _tmp4_ == 0;
#line 1619 "DataSource.c"
	}
#line 254 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = _tmp0_;
#line 254 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp5_) {
#line 255 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		result = NULL;
#line 255 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return result;
#line 1629 "DataSource.c"
	}
#line 257 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = g_string_new ("");
#line 257 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	builder = _tmp6_;
#line 1635 "DataSource.c"
	{
		GeeHashMap* _tmp7_;
		GeeSet* _tmp8_;
		GeeSet* _tmp9_;
		GeeSet* _tmp10_;
		GeeIterator* _tmp11_ = NULL;
		GeeIterator* _tmp12_;
		GeeIterator* _name_it;
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp7_ = self->priv->backlinks;
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp8_ = gee_abstract_map_get_keys (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, GEE_TYPE_MAP, GeeMap));
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp9_ = _tmp8_;
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp10_ = _tmp9_;
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp11_ = gee_iterable_iterator (G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, GEE_TYPE_ITERABLE, GeeIterable));
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp12_ = _tmp11_;
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_object_unref0 (_tmp10_);
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_name_it = _tmp12_;
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		while (TRUE) {
#line 1662 "DataSource.c"
			GeeIterator* _tmp13_;
			gboolean _tmp14_ = FALSE;
			GeeIterator* _tmp15_;
			gpointer _tmp16_ = NULL;
			gchar* name;
			GeeHashMap* _tmp17_;
			const gchar* _tmp18_;
			gpointer _tmp19_ = NULL;
			GeeList* values;
			gboolean _tmp20_ = FALSE;
			GeeList* _tmp21_;
			gboolean _tmp25_;
			gchar* _tmp26_;
			gchar* value_field;
			const gchar* _tmp45_;
			gint _tmp46_;
			gint _tmp47_;
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp13_ = _name_it;
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp14_ = gee_iterator_next (_tmp13_);
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			if (!_tmp14_) {
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				break;
#line 1688 "DataSource.c"
			}
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp15_ = _name_it;
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp16_ = gee_iterator_get (_tmp15_);
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			name = (gchar*) _tmp16_;
#line 259 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp17_ = self->priv->backlinks;
#line 259 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp18_ = name;
#line 259 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp19_ = gee_abstract_map_get (G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, GEE_TYPE_ABSTRACT_MAP, GeeAbstractMap), _tmp18_);
#line 259 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			values = (GeeList*) _tmp19_;
#line 260 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp21_ = values;
#line 260 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			if (_tmp21_ == NULL) {
#line 260 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp20_ = TRUE;
#line 1710 "DataSource.c"
			} else {
				GeeList* _tmp22_;
				gint _tmp23_;
				gint _tmp24_;
#line 260 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp22_ = values;
#line 260 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp23_ = gee_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp22_, GEE_TYPE_COLLECTION, GeeCollection));
#line 260 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp24_ = _tmp23_;
#line 260 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp20_ = _tmp24_ == 0;
#line 1723 "DataSource.c"
			}
#line 260 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp25_ = _tmp20_;
#line 260 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			if (_tmp25_) {
#line 261 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_g_object_unref0 (values);
#line 261 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_g_free0 (name);
#line 261 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				continue;
#line 1735 "DataSource.c"
			}
#line 263 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp26_ = g_strdup ("");
#line 263 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			value_field = _tmp26_;
#line 1741 "DataSource.c"
			{
				GeeList* _tmp27_;
				GeeList* _tmp28_;
				GeeList* _value_list;
				GeeList* _tmp29_;
				gint _tmp30_;
				gint _tmp31_;
				gint _value_size;
				gint _value_index;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp27_ = values;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp28_ = _g_object_ref0 (_tmp27_);
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_value_list = _tmp28_;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp29_ = _value_list;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp30_ = gee_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp29_, GEE_TYPE_COLLECTION, GeeCollection));
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp31_ = _tmp30_;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_value_size = _tmp31_;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_value_index = -1;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				while (TRUE) {
#line 1769 "DataSource.c"
					gint _tmp32_;
					gint _tmp33_;
					gint _tmp34_;
					GeeList* _tmp35_;
					gint _tmp36_;
					gpointer _tmp37_ = NULL;
					gchar* value;
					const gchar* _tmp38_;
					gboolean _tmp39_ = FALSE;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp32_ = _value_index;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_value_index = _tmp32_ + 1;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp33_ = _value_index;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp34_ = _value_size;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					if (!(_tmp33_ < _tmp34_)) {
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						break;
#line 1791 "DataSource.c"
					}
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp35_ = _value_list;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp36_ = _value_index;
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp37_ = gee_list_get (_tmp35_, _tmp36_);
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					value = (gchar*) _tmp37_;
#line 265 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp38_ = value;
#line 265 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp39_ = is_string_empty (_tmp38_);
#line 265 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					if (!_tmp39_) {
#line 1807 "DataSource.c"
						const gchar* _tmp40_;
						const gchar* _tmp41_;
						gchar* _tmp42_;
						gchar* _tmp43_;
						gchar* _tmp44_;
#line 266 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						_tmp40_ = value_field;
#line 266 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						_tmp41_ = value;
#line 266 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						_tmp42_ = g_strconcat (_tmp41_, "|", NULL);
#line 266 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						_tmp43_ = _tmp42_;
#line 266 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						_tmp44_ = g_strconcat (_tmp40_, _tmp43_, NULL);
#line 266 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						_g_free0 (value_field);
#line 266 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						value_field = _tmp44_;
#line 266 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						_g_free0 (_tmp43_);
#line 1829 "DataSource.c"
					}
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_g_free0 (value);
#line 1833 "DataSource.c"
				}
#line 264 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_g_object_unref0 (_value_list);
#line 1837 "DataSource.c"
			}
#line 269 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp45_ = value_field;
#line 269 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp46_ = strlen (_tmp45_);
#line 269 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp47_ = _tmp46_;
#line 269 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			if (_tmp47_ > 0) {
#line 1847 "DataSource.c"
				GString* _tmp48_;
				const gchar* _tmp49_;
				const gchar* _tmp50_;
				gchar* _tmp51_ = NULL;
				gchar* _tmp52_;
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp48_ = builder;
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp49_ = name;
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp50_ = value_field;
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp51_ = g_strdup_printf ("%s=%s\n", _tmp49_, _tmp50_);
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp52_ = _tmp51_;
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				g_string_append (_tmp48_, _tmp52_);
#line 270 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_g_free0 (_tmp52_);
#line 1867 "DataSource.c"
			}
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_g_free0 (value_field);
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_g_object_unref0 (values);
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_g_free0 (name);
#line 1875 "DataSource.c"
		}
#line 258 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_object_unref0 (_name_it);
#line 1879 "DataSource.c"
	}
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp54_ = builder;
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp55_ = _tmp54_->str;
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp56_ = strlen (_tmp55_);
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp57_ = _tmp56_;
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp57_ > 0) {
#line 1891 "DataSource.c"
		GString* _tmp58_;
		const gchar* _tmp59_;
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp58_ = builder;
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp59_ = _tmp58_->str;
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp53_ = _tmp59_;
#line 1900 "DataSource.c"
	} else {
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp53_ = NULL;
#line 1904 "DataSource.c"
	}
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp60_ = _tmp53_;
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp61_ = g_strdup (_tmp60_);
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp61_;
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_string_free0 (builder);
#line 273 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 1916 "DataSource.c"
}


void data_source_rehydrate_backlinks (DataSource* self, SourceCollection* unlinked_from, const gchar* dehydrated) {
	SourceCollection* _tmp0_;
	GeeHashMap* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar** _tmp4_;
	gchar** _tmp5_ = NULL;
	gchar** lines;
	gint lines_length1;
	gint _lines_size_;
	gchar** _tmp6_;
	gint _tmp6__length1;
#line 278 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 278 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_COLLECTION (unlinked_from));
#line 279 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = unlinked_from;
#line 279 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->unlinked_from_collection = _tmp0_;
#line 280 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, GEE_TYPE_LIST, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 280 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (self->priv->backlinks);
#line 280 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->backlinks = _tmp1_;
#line 282 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = dehydrated;
#line 282 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp2_ == NULL) {
#line 283 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return;
#line 1952 "DataSource.c"
	}
#line 285 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = dehydrated;
#line 285 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = _tmp4_ = g_strsplit (_tmp3_, "\n", 0);
#line 285 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	lines = _tmp5_;
#line 285 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	lines_length1 = _vala_array_length (_tmp4_);
#line 285 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_lines_size_ = lines_length1;
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = lines;
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6__length1 = lines_length1;
#line 1968 "DataSource.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		line_collection = _tmp6_;
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		line_collection_length1 = _tmp6__length1;
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		for (line_it = 0; line_it < _tmp6__length1; line_it = line_it + 1) {
#line 1980 "DataSource.c"
			gchar* _tmp7_;
			gchar* line = NULL;
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp7_ = g_strdup (line_collection[line_it]);
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			line = _tmp7_;
#line 1987 "DataSource.c"
			{
				const gchar* _tmp8_;
				gint _tmp9_;
				gint _tmp10_;
				const gchar* _tmp11_;
				gchar** _tmp12_;
				gchar** _tmp13_ = NULL;
				gchar** tokens;
				gint tokens_length1;
				gint _tokens_size_;
				gchar** _tmp14_;
				gint _tmp14__length1;
				gchar** _tmp18_;
				gint _tmp18__length1;
				const gchar* _tmp19_;
				gchar** _tmp20_;
				gchar** _tmp21_ = NULL;
				gchar** decoded_values;
				gint decoded_values_length1;
				gint _decoded_values_size_;
				GeeArrayList* _tmp22_;
				GeeList* values;
				gchar** _tmp23_;
				gint _tmp23__length1;
				GeeList* _tmp33_;
				gint _tmp34_;
				gint _tmp35_;
#line 287 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp8_ = line;
#line 287 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp9_ = strlen (_tmp8_);
#line 287 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp10_ = _tmp9_;
#line 287 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (_tmp10_ == 0) {
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_g_free0 (line);
#line 288 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					continue;
#line 2027 "DataSource.c"
				}
#line 290 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp11_ = line;
#line 290 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp13_ = _tmp12_ = g_strsplit (_tmp11_, "=", 2);
#line 290 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				tokens = _tmp13_;
#line 290 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				tokens_length1 = _vala_array_length (_tmp12_);
#line 290 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tokens_size_ = tokens_length1;
#line 291 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp14_ = tokens;
#line 291 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp14__length1 = tokens_length1;
#line 291 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (_tmp14__length1 < 2) {
#line 2045 "DataSource.c"
					const gchar* _tmp15_;
					gchar* _tmp16_ = NULL;
					gchar* _tmp17_;
#line 292 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp15_ = line;
#line 292 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp16_ = data_object_to_string (G_TYPE_CHECK_INSTANCE_CAST (self, TYPE_DATA_OBJECT, DataObject));
#line 292 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp17_ = _tmp16_;
#line 292 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					g_warning ("DataSource.vala:292: Unable to rehydrate \"%s\" for %s: name and value" \
" not present", _tmp15_, _tmp17_);
#line 292 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_g_free0 (_tmp17_);
#line 295 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					tokens = (_vala_array_free (tokens, tokens_length1, (GDestroyNotify) g_free), NULL);
#line 295 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_g_free0 (line);
#line 295 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					continue;
#line 2065 "DataSource.c"
				}
#line 298 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp18_ = tokens;
#line 298 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp18__length1 = tokens_length1;
#line 298 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp19_ = _tmp18_[1];
#line 298 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp21_ = _tmp20_ = g_strsplit (_tmp19_, "|", 0);
#line 298 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				decoded_values = _tmp21_;
#line 298 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				decoded_values_length1 = _vala_array_length (_tmp20_);
#line 298 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_decoded_values_size_ = decoded_values_length1;
#line 299 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp22_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL);
#line 299 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				values = G_TYPE_CHECK_INSTANCE_CAST (_tmp22_, GEE_TYPE_LIST, GeeList);
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp23_ = decoded_values;
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp23__length1 = decoded_values_length1;
#line 2089 "DataSource.c"
				{
					gchar** value_collection = NULL;
					gint value_collection_length1 = 0;
					gint _value_collection_size_ = 0;
					gint value_it = 0;
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					value_collection = _tmp23_;
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					value_collection_length1 = _tmp23__length1;
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					for (value_it = 0; value_it < _tmp23__length1; value_it = value_it + 1) {
#line 2101 "DataSource.c"
						gchar* _tmp24_;
						gchar* value = NULL;
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						_tmp24_ = g_strdup (value_collection[value_it]);
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
						value = _tmp24_;
#line 2108 "DataSource.c"
						{
							gboolean _tmp25_ = FALSE;
							const gchar* _tmp26_;
							gboolean _tmp30_;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
							_tmp26_ = value;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
							if (_tmp26_ != NULL) {
#line 2117 "DataSource.c"
								const gchar* _tmp27_;
								gint _tmp28_;
								gint _tmp29_;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
								_tmp27_ = value;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
								_tmp28_ = strlen (_tmp27_);
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
								_tmp29_ = _tmp28_;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
								_tmp25_ = _tmp29_ > 0;
#line 2129 "DataSource.c"
							} else {
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
								_tmp25_ = FALSE;
#line 2133 "DataSource.c"
							}
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
							_tmp30_ = _tmp25_;
#line 301 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
							if (_tmp30_) {
#line 2139 "DataSource.c"
								GeeList* _tmp31_;
								const gchar* _tmp32_;
#line 302 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
								_tmp31_ = values;
#line 302 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
								_tmp32_ = value;
#line 302 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
								gee_collection_add (G_TYPE_CHECK_INSTANCE_CAST (_tmp31_, GEE_TYPE_COLLECTION, GeeCollection), _tmp32_);
#line 2148 "DataSource.c"
							}
#line 300 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
							_g_free0 (value);
#line 2152 "DataSource.c"
						}
					}
				}
#line 305 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp33_ = values;
#line 305 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp34_ = gee_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp33_, GEE_TYPE_COLLECTION, GeeCollection));
#line 305 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp35_ = _tmp34_;
#line 305 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (_tmp35_ > 0) {
#line 2164 "DataSource.c"
					GeeHashMap* _tmp36_;
					gchar** _tmp37_;
					gint _tmp37__length1;
					const gchar* _tmp38_;
					GeeList* _tmp39_;
#line 306 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp36_ = self->priv->backlinks;
#line 306 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp37_ = tokens;
#line 306 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp37__length1 = tokens_length1;
#line 306 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp38_ = _tmp37_[0];
#line 306 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp39_ = values;
#line 306 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					gee_abstract_map_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp36_, GEE_TYPE_ABSTRACT_MAP, GeeAbstractMap), _tmp38_, _tmp39_);
#line 2182 "DataSource.c"
				}
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_g_object_unref0 (values);
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				decoded_values = (_vala_array_free (decoded_values, decoded_values_length1, (GDestroyNotify) g_free), NULL);
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				tokens = (_vala_array_free (tokens, tokens_length1, (GDestroyNotify) g_free), NULL);
#line 286 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_g_free0 (line);
#line 2192 "DataSource.c"
			}
		}
	}
#line 278 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	lines = (_vala_array_free (lines, lines_length1, (GDestroyNotify) g_free), NULL);
#line 2198 "DataSource.c"
}


static SourceSnapshot* data_source_real_save_snapshot (DataSource* self) {
	SourceSnapshot* result = NULL;
#line 312 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = NULL;
#line 312 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 2208 "DataSource.c"
}


SourceSnapshot* data_source_save_snapshot (DataSource* self) {
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), NULL);
#line 311 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return DATA_SOURCE_GET_CLASS (self)->save_snapshot (self);
#line 2217 "DataSource.c"
}


void data_source_internal_mark_for_destroy (DataSource* self) {
#line 316 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 317 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->marked_for_destroy = TRUE;
#line 2226 "DataSource.c"
}


static gboolean data_source_real_internal_delete_backing (DataSource* self, GError** error) {
	gboolean result = FALSE;
#line 325 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = TRUE;
#line 325 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 2236 "DataSource.c"
}


gboolean data_source_internal_delete_backing (DataSource* self, GError** error) {
#line 324 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), FALSE);
#line 324 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return DATA_SOURCE_GET_CLASS (self)->internal_delete_backing (self, error);
#line 2245 "DataSource.c"
}


static gboolean data_source_real_equals (DataSource* self, DataSource* source) {
	gboolean result = FALSE;
	DataSource* _tmp0_;
#line 330 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail ((source == NULL) || IS_DATA_SOURCE (source), FALSE);
#line 331 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = source;
#line 331 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = self == _tmp0_;
#line 331 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 2260 "DataSource.c"
}


gboolean data_source_equals (DataSource* self, DataSource* source) {
#line 330 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), FALSE);
#line 330 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return DATA_SOURCE_GET_CLASS (self)->equals (self, source);
#line 2269 "DataSource.c"
}


static void data_source_real_destroy (DataSource* self) {
	gboolean _tmp0_;
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->marked_for_destroy;
#line 341 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp0_, "marked_for_destroy");
#line 344 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->is_destroyed = TRUE;
#line 2281 "DataSource.c"
	{
		gint ctr;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		ctr = 0;
#line 2286 "DataSource.c"
		{
			gboolean _tmp1_;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp1_ = TRUE;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			while (TRUE) {
#line 2293 "DataSource.c"
				gboolean _tmp2_;
				gint _tmp4_;
				DataView** _tmp5_;
				gint _tmp5__length1;
				DataView** _tmp6_;
				gint _tmp6__length1;
				gint _tmp7_;
				DataView* _tmp8_;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp2_ = _tmp1_;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (!_tmp2_) {
#line 2306 "DataSource.c"
					gint _tmp3_;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp3_ = ctr;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					ctr = _tmp3_ + 1;
#line 2312 "DataSource.c"
				}
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp1_ = FALSE;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp4_ = ctr;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5_ = self->priv->subscribers;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5__length1 = self->priv->subscribers_length1;
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (!(_tmp4_ < _tmp5__length1)) {
#line 347 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					break;
#line 2326 "DataSource.c"
				}
#line 348 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp6_ = self->priv->subscribers;
#line 348 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp6__length1 = self->priv->subscribers_length1;
#line 348 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp7_ = ctr;
#line 348 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp8_ = _tmp6_[_tmp7_];
#line 348 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (_tmp8_ != NULL) {
#line 2338 "DataSource.c"
					DataView** _tmp9_;
					gint _tmp9__length1;
					gint _tmp10_;
					DataView* _tmp11_;
					DataView* _tmp12_;
					DataView* view;
					DataView** _tmp13_;
					gint _tmp13__length1;
					gint _tmp14_;
					DataView* _tmp15_;
					DataView* _tmp16_;
#line 349 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp9_ = self->priv->subscribers;
#line 349 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp9__length1 = self->priv->subscribers_length1;
#line 349 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp10_ = ctr;
#line 349 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp11_ = _tmp9_[_tmp10_];
#line 349 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp12_ = _g_object_ref0 (_tmp11_);
#line 349 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					view = _tmp12_;
#line 350 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp13_ = self->priv->subscribers;
#line 350 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp13__length1 = self->priv->subscribers_length1;
#line 350 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp14_ = ctr;
#line 350 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_g_object_unref0 (_tmp13_[_tmp14_]);
#line 350 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp13_[_tmp14_] = NULL;
#line 350 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp15_ = _tmp13_[_tmp14_];
#line 352 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp16_ = view;
#line 352 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					data_view_notify_unsubscribed (_tmp16_, self);
#line 348 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_g_object_unref0 (view);
#line 2380 "DataSource.c"
				}
			}
		}
	}
#line 357 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_emit_by_name (self, "destroyed");
#line 2387 "DataSource.c"
}


void data_source_destroy (DataSource* self) {
#line 340 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 340 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_GET_CLASS (self)->destroy (self);
#line 2396 "DataSource.c"
}


gboolean data_source_destroy_orphan (DataSource* self, gboolean delete_backing) {
	gboolean result = FALSE;
	gboolean ret;
	gboolean _tmp0_;
	SourceCollection* _tmp10_;
	GError * _inner_error_ = NULL;
#line 366 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (self), FALSE);
#line 367 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	ret = TRUE;
#line 368 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = delete_backing;
#line 368 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp0_) {
#line 2414 "DataSource.c"
		{
			gboolean _tmp1_ = FALSE;
			gboolean _tmp2_;
			gboolean _tmp3_;
#line 370 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp1_ = data_source_internal_delete_backing (self, &_inner_error_);
#line 370 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp2_ = _tmp1_;
#line 370 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			if (_inner_error_ != NULL) {
#line 2425 "DataSource.c"
				goto __catch45_g_error;
			}
#line 370 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			ret = _tmp2_;
#line 371 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp3_ = ret;
#line 371 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			if (!_tmp3_) {
#line 2434 "DataSource.c"
				gchar* _tmp4_ = NULL;
				gchar* _tmp5_;
#line 372 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp4_ = data_object_to_string (G_TYPE_CHECK_INSTANCE_CAST (self, TYPE_DATA_OBJECT, DataObject));
#line 372 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5_ = _tmp4_;
#line 372 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				g_warning ("DataSource.vala:372: Unable to delete backing for %s", _tmp5_);
#line 372 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_g_free0 (_tmp5_);
#line 2445 "DataSource.c"
			}
		}
		goto __finally45;
		__catch45_g_error:
		{
			GError* err = NULL;
			gchar* _tmp6_ = NULL;
			gchar* _tmp7_;
			GError* _tmp8_;
			const gchar* _tmp9_;
#line 369 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			err = _inner_error_;
#line 369 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_inner_error_ = NULL;
#line 375 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp6_ = data_object_to_string (G_TYPE_CHECK_INSTANCE_CAST (self, TYPE_DATA_OBJECT, DataObject));
#line 375 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp7_ = _tmp6_;
#line 375 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp8_ = err;
#line 375 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp9_ = _tmp8_->message;
#line 375 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			g_warning ("DataSource.vala:375: Unable to delete backing for %s: %s", _tmp7_, _tmp9_);
#line 375 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_g_free0 (_tmp7_);
#line 376 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			ret = FALSE;
#line 369 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_g_error_free0 (err);
#line 2476 "DataSource.c"
		}
		__finally45:
#line 369 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		if (_inner_error_ != NULL) {
#line 369 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 369 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			g_clear_error (&_inner_error_);
#line 369 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			return FALSE;
#line 2487 "DataSource.c"
		}
	}
#line 380 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	data_source_internal_mark_for_destroy (self);
#line 381 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	data_source_destroy (self);
#line 383 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp10_ = self->priv->unlinked_from_collection;
#line 383 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp10_ != NULL) {
#line 2498 "DataSource.c"
		SourceCollection* _tmp11_;
#line 384 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp11_ = self->priv->unlinked_from_collection;
#line 384 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_collection_notify_unlinked_destroyed (_tmp11_, self);
#line 2504 "DataSource.c"
	}
#line 386 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = ret;
#line 386 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 2510 "DataSource.c"
}


static void _vala_array_add121 (DataView*** array, int* length, int* size, DataView* value) {
#line 406 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if ((*length) == (*size)) {
#line 406 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 406 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*array = g_renew (DataView*, *array, (*size) + 1);
#line 2521 "DataSource.c"
	}
#line 406 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	(*array)[(*length)++] = value;
#line 406 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	(*array)[*length] = NULL;
#line 2527 "DataSource.c"
}


void data_source_internal_subscribe (DataSource* self, DataView* view) {
	gboolean _tmp0_;
	DataView** _tmp14_;
	gint _tmp14__length1;
	DataView* _tmp15_;
	DataView* _tmp16_;
#line 395 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 395 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_VIEW (view));
#line 396 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->in_contact;
#line 396 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (!_tmp0_, "!in_contact");
#line 2545 "DataSource.c"
	{
		gint ctr;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		ctr = 0;
#line 2550 "DataSource.c"
		{
			gboolean _tmp1_;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp1_ = TRUE;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			while (TRUE) {
#line 2557 "DataSource.c"
				gboolean _tmp2_;
				gint _tmp4_;
				DataView** _tmp5_;
				gint _tmp5__length1;
				DataView** _tmp6_;
				gint _tmp6__length1;
				gint _tmp7_;
				DataView* _tmp8_;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp2_ = _tmp1_;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (!_tmp2_) {
#line 2570 "DataSource.c"
					gint _tmp3_;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp3_ = ctr;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					ctr = _tmp3_ + 1;
#line 2576 "DataSource.c"
				}
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp1_ = FALSE;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp4_ = ctr;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5_ = self->priv->subscribers;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5__length1 = self->priv->subscribers_length1;
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (!(_tmp4_ < _tmp5__length1)) {
#line 398 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					break;
#line 2590 "DataSource.c"
				}
#line 399 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp6_ = self->priv->subscribers;
#line 399 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp6__length1 = self->priv->subscribers_length1;
#line 399 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp7_ = ctr;
#line 399 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp8_ = _tmp6_[_tmp7_];
#line 399 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (_tmp8_ == NULL) {
#line 2602 "DataSource.c"
					DataView** _tmp9_;
					gint _tmp9__length1;
					gint _tmp10_;
					DataView* _tmp11_;
					DataView* _tmp12_;
					DataView* _tmp13_;
#line 400 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp9_ = self->priv->subscribers;
#line 400 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp9__length1 = self->priv->subscribers_length1;
#line 400 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp10_ = ctr;
#line 400 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp11_ = view;
#line 400 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp12_ = _g_object_ref0 (_tmp11_);
#line 400 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_g_object_unref0 (_tmp9_[_tmp10_]);
#line 400 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp9_[_tmp10_] = _tmp12_;
#line 400 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp13_ = _tmp9_[_tmp10_];
#line 402 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					return;
#line 2627 "DataSource.c"
				}
			}
		}
	}
#line 406 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp14_ = self->priv->subscribers;
#line 406 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp14__length1 = self->priv->subscribers_length1;
#line 406 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp15_ = view;
#line 406 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp16_ = _g_object_ref0 (_tmp15_);
#line 406 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_array_add121 (&self->priv->subscribers, &self->priv->subscribers_length1, &self->priv->_subscribers_size_, _tmp16_);
#line 2642 "DataSource.c"
}


void data_source_internal_unsubscribe (DataSource* self, DataView* view) {
	gboolean _tmp0_;
#line 411 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 411 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_VIEW (view));
#line 412 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->in_contact;
#line 412 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (!_tmp0_, "!in_contact");
#line 2656 "DataSource.c"
	{
		gint ctr;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		ctr = 0;
#line 2661 "DataSource.c"
		{
			gboolean _tmp1_;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp1_ = TRUE;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			while (TRUE) {
#line 2668 "DataSource.c"
				gboolean _tmp2_;
				gint _tmp4_;
				DataView** _tmp5_;
				gint _tmp5__length1;
				DataView** _tmp6_;
				gint _tmp6__length1;
				gint _tmp7_;
				DataView* _tmp8_;
				DataView* _tmp9_;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp2_ = _tmp1_;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (!_tmp2_) {
#line 2682 "DataSource.c"
					gint _tmp3_;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp3_ = ctr;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					ctr = _tmp3_ + 1;
#line 2688 "DataSource.c"
				}
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp1_ = FALSE;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp4_ = ctr;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5_ = self->priv->subscribers;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5__length1 = self->priv->subscribers_length1;
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (!(_tmp4_ < _tmp5__length1)) {
#line 414 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					break;
#line 2702 "DataSource.c"
				}
#line 415 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp6_ = self->priv->subscribers;
#line 415 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp6__length1 = self->priv->subscribers_length1;
#line 415 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp7_ = ctr;
#line 415 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp8_ = _tmp6_[_tmp7_];
#line 415 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp9_ = view;
#line 415 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (_tmp8_ == _tmp9_) {
#line 2716 "DataSource.c"
					DataView** _tmp10_;
					gint _tmp10__length1;
					gint _tmp11_;
					DataView* _tmp12_;
#line 416 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp10_ = self->priv->subscribers;
#line 416 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp10__length1 = self->priv->subscribers_length1;
#line 416 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp11_ = ctr;
#line 416 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_g_object_unref0 (_tmp10_[_tmp11_]);
#line 416 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp10_[_tmp11_] = NULL;
#line 416 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp12_ = _tmp10_[_tmp11_];
#line 418 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					return;
#line 2735 "DataSource.c"
				}
			}
		}
	}
}


void data_source_contact_subscribers (DataSource* self, DataSourceContactSubscriber contact_subscriber, void* contact_subscriber_target) {
	gboolean _tmp0_;
#line 423 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 424 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->in_contact;
#line 424 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (!_tmp0_, "!in_contact");
#line 426 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->in_contact = TRUE;
#line 2753 "DataSource.c"
	{
		gint ctr;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		ctr = 0;
#line 2758 "DataSource.c"
		{
			gboolean _tmp1_;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp1_ = TRUE;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			while (TRUE) {
#line 2765 "DataSource.c"
				gboolean _tmp2_;
				gint _tmp4_;
				DataView** _tmp5_;
				gint _tmp5__length1;
				DataView** _tmp6_;
				gint _tmp6__length1;
				gint _tmp7_;
				DataView* _tmp8_;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp2_ = _tmp1_;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (!_tmp2_) {
#line 2778 "DataSource.c"
					gint _tmp3_;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp3_ = ctr;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					ctr = _tmp3_ + 1;
#line 2784 "DataSource.c"
				}
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp1_ = FALSE;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp4_ = ctr;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5_ = self->priv->subscribers;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5__length1 = self->priv->subscribers_length1;
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (!(_tmp4_ < _tmp5__length1)) {
#line 427 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					break;
#line 2798 "DataSource.c"
				}
#line 428 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp6_ = self->priv->subscribers;
#line 428 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp6__length1 = self->priv->subscribers_length1;
#line 428 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp7_ = ctr;
#line 428 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp8_ = _tmp6_[_tmp7_];
#line 428 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (_tmp8_ != NULL) {
#line 2810 "DataSource.c"
					DataSourceContactSubscriber _tmp9_;
					void* _tmp9__target;
					DataView** _tmp10_;
					gint _tmp10__length1;
					gint _tmp11_;
					DataView* _tmp12_;
#line 429 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp9_ = contact_subscriber;
#line 429 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp9__target = contact_subscriber_target;
#line 429 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp10_ = self->priv->subscribers;
#line 429 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp10__length1 = self->priv->subscribers_length1;
#line 429 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp11_ = ctr;
#line 429 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp12_ = _tmp10_[_tmp11_];
#line 429 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp9_ (_tmp12_, _tmp9__target);
#line 2831 "DataSource.c"
				}
			}
		}
	}
#line 431 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->in_contact = FALSE;
#line 2838 "DataSource.c"
}


void data_source_contact_subscribers_alteration (DataSource* self, Alteration* alteration) {
	gboolean _tmp0_;
#line 434 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (self));
#line 434 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_ALTERATION (alteration));
#line 435 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->in_contact;
#line 435 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (!_tmp0_, "!in_contact");
#line 437 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->in_contact = TRUE;
#line 2854 "DataSource.c"
	{
		gint ctr;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		ctr = 0;
#line 2859 "DataSource.c"
		{
			gboolean _tmp1_;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp1_ = TRUE;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			while (TRUE) {
#line 2866 "DataSource.c"
				gboolean _tmp2_;
				gint _tmp4_;
				DataView** _tmp5_;
				gint _tmp5__length1;
				DataView** _tmp6_;
				gint _tmp6__length1;
				gint _tmp7_;
				DataView* _tmp8_;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp2_ = _tmp1_;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (!_tmp2_) {
#line 2879 "DataSource.c"
					gint _tmp3_;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp3_ = ctr;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					ctr = _tmp3_ + 1;
#line 2885 "DataSource.c"
				}
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp1_ = FALSE;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp4_ = ctr;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5_ = self->priv->subscribers;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp5__length1 = self->priv->subscribers_length1;
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (!(_tmp4_ < _tmp5__length1)) {
#line 438 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					break;
#line 2899 "DataSource.c"
				}
#line 439 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp6_ = self->priv->subscribers;
#line 439 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp6__length1 = self->priv->subscribers_length1;
#line 439 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp7_ = ctr;
#line 439 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_tmp8_ = _tmp6_[_tmp7_];
#line 439 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				if (_tmp8_ != NULL) {
#line 2911 "DataSource.c"
					DataView** _tmp9_;
					gint _tmp9__length1;
					gint _tmp10_;
					DataView* _tmp11_;
					Alteration* _tmp12_;
#line 440 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp9_ = self->priv->subscribers;
#line 440 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp9__length1 = self->priv->subscribers_length1;
#line 440 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp10_ = ctr;
#line 440 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp11_ = _tmp9_[_tmp10_];
#line 440 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					_tmp12_ = alteration;
#line 440 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
					data_object_notify_altered (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, TYPE_DATA_OBJECT, DataObject), _tmp12_);
#line 2929 "DataSource.c"
				}
			}
		}
	}
#line 442 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->in_contact = FALSE;
#line 2936 "DataSource.c"
}


static void data_source_real_unlinked (DataSource* self, SourceCollection* sources) {
#line 51 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_COLLECTION (sources));
#line 2943 "DataSource.c"
}


static void g_cclosure_user_marshal_VOID__DATA_COLLECTION (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__DATA_COLLECTION) (gpointer data1, gpointer arg_1, gpointer data2);
	register GMarshalFunc_VOID__DATA_COLLECTION callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (n_param_values == 2);
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		data1 = closure->data;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		data2 = param_values->data[0].v_pointer;
#line 2962 "DataSource.c"
	} else {
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		data1 = param_values->data[0].v_pointer;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		data2 = closure->data;
#line 2968 "DataSource.c"
	}
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	callback = (GMarshalFunc_VOID__DATA_COLLECTION) (marshal_data ? marshal_data : cc->callback);
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	callback (data1, value_get_data_collection (param_values + 1), data2);
#line 2974 "DataSource.c"
}


static void data_source_real_relinked (DataSource* self, SourceCollection* sources) {
#line 55 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_COLLECTION (sources));
#line 2981 "DataSource.c"
}


static void data_source_real_destroyed (DataSource* self) {
}


static void data_source_class_init (DataSourceClass * klass) {
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	data_source_parent_class = g_type_class_peek_parent (klass);
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_type_class_add_private (klass, sizeof (DataSourcePrivate));
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_OBJECT_CLASS (klass)->notify_membership_changed = data_source_real_notify_membership_changed;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->notify_held_in_tank = data_source_real_notify_held_in_tank;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_OBJECT_CLASS (klass)->notify_altered = data_source_real_notify_altered;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->notify_unlinking = data_source_real_notify_unlinking;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->notify_unlinked = data_source_real_notify_unlinked;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->notify_relinking = data_source_real_notify_relinking;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->notify_relinked = data_source_real_notify_relinked;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->get_typename = data_source_real_get_typename;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->get_instance_id = data_source_real_get_instance_id;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->get_source_id = data_source_real_get_source_id;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->commit_backlinks = data_source_real_commit_backlinks;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->save_snapshot = data_source_real_save_snapshot;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->internal_delete_backing = data_source_real_internal_delete_backing;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->equals = data_source_real_equals;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->destroy = data_source_real_destroy;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->unlinked = data_source_real_unlinked;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->relinked = data_source_real_relinked;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	DATA_SOURCE_CLASS (klass)->destroyed = data_source_real_destroyed;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	G_OBJECT_CLASS (klass)->finalize = data_source_finalize;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_new ("unlinked", TYPE_DATA_SOURCE, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (DataSourceClass, unlinked), NULL, NULL, g_cclosure_user_marshal_VOID__DATA_COLLECTION, G_TYPE_NONE, 1, TYPE_SOURCE_COLLECTION);
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_new ("relinked", TYPE_DATA_SOURCE, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (DataSourceClass, relinked), NULL, NULL, g_cclosure_user_marshal_VOID__DATA_COLLECTION, G_TYPE_NONE, 1, TYPE_SOURCE_COLLECTION);
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_new ("destroyed", TYPE_DATA_SOURCE, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (DataSourceClass, destroyed), NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 3038 "DataSource.c"
}


static void data_source_instance_init (DataSource * self) {
	DataView** _tmp0_ = NULL;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv = DATA_SOURCE_GET_PRIVATE (self);
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = g_new0 (DataView*, 4 + 1);
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->subscribers = _tmp0_;
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->subscribers_length1 = 4;
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->_subscribers_size_ = self->priv->subscribers_length1;
#line 43 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->holding_tank = NULL;
#line 44 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->unlinked_from_collection = NULL;
#line 45 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->backlinks = NULL;
#line 46 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->in_contact = FALSE;
#line 47 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->marked_for_destroy = FALSE;
#line 48 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->is_destroyed = FALSE;
#line 3066 "DataSource.c"
}


static void data_source_finalize (GObject* obj) {
	DataSource * self;
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DATA_SOURCE, DataSource);
#line 42 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->subscribers = (_vala_array_free (self->priv->subscribers, self->priv->subscribers_length1, (GDestroyNotify) g_object_unref), NULL);
#line 43 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_source_holding_tank_unref0 (self->priv->holding_tank);
#line 45 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (self->priv->backlinks);
#line 38 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	G_OBJECT_CLASS (data_source_parent_class)->finalize (obj);
#line 3082 "DataSource.c"
}


GType data_source_get_type (void) {
	static volatile gsize data_source_type_id__volatile = 0;
	if (g_once_init_enter (&data_source_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DataSourceClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) data_source_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DataSource), 0, (GInstanceInitFunc) data_source_instance_init, NULL };
		GType data_source_type_id;
		data_source_type_id = g_type_register_static (TYPE_DATA_OBJECT, "DataSource", &g_define_type_info, G_TYPE_FLAG_ABSTRACT);
		g_once_init_leave (&data_source_type_id__volatile, data_source_type_id);
	}
	return data_source_type_id__volatile;
}


static void source_snapshot_real_notify_broken (SourceSnapshot* self) {
#line 455 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->snapshot_broken = TRUE;
#line 457 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_emit_by_name (self, "broken");
#line 3103 "DataSource.c"
}


void source_snapshot_notify_broken (SourceSnapshot* self) {
#line 454 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_SNAPSHOT (self));
#line 454 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_SNAPSHOT_GET_CLASS (self)->notify_broken (self);
#line 3112 "DataSource.c"
}


gboolean source_snapshot_is_broken (SourceSnapshot* self) {
	gboolean result = FALSE;
	gboolean _tmp0_;
#line 460 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_SOURCE_SNAPSHOT (self), FALSE);
#line 461 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->snapshot_broken;
#line 461 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp0_;
#line 461 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 3127 "DataSource.c"
}


SourceSnapshot* source_snapshot_construct (GType object_type) {
	SourceSnapshot* self = NULL;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = (SourceSnapshot*) g_type_create_instance (object_type);
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return self;
#line 3137 "DataSource.c"
}


static void source_snapshot_real_broken (SourceSnapshot* self) {
}


static void value_source_snapshot_init (GValue* value) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	value->data[0].v_pointer = NULL;
#line 3148 "DataSource.c"
}


static void value_source_snapshot_free_value (GValue* value) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (value->data[0].v_pointer) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_snapshot_unref (value->data[0].v_pointer);
#line 3157 "DataSource.c"
	}
}


static void value_source_snapshot_copy_value (const GValue* src_value, GValue* dest_value) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (src_value->data[0].v_pointer) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		dest_value->data[0].v_pointer = source_snapshot_ref (src_value->data[0].v_pointer);
#line 3167 "DataSource.c"
	} else {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		dest_value->data[0].v_pointer = NULL;
#line 3171 "DataSource.c"
	}
}


static gpointer value_source_snapshot_peek_pointer (const GValue* value) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return value->data[0].v_pointer;
#line 3179 "DataSource.c"
}


static gchar* value_source_snapshot_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (collect_values[0].v_pointer) {
#line 3186 "DataSource.c"
		SourceSnapshot* object;
		object = collect_values[0].v_pointer;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		if (object->parent_instance.g_class == NULL) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 3193 "DataSource.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 3197 "DataSource.c"
		}
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = source_snapshot_ref (object);
#line 3201 "DataSource.c"
	} else {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = NULL;
#line 3205 "DataSource.c"
	}
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return NULL;
#line 3209 "DataSource.c"
}


static gchar* value_source_snapshot_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	SourceSnapshot** object_p;
	object_p = collect_values[0].v_pointer;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (!object_p) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 3220 "DataSource.c"
	}
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (!value->data[0].v_pointer) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*object_p = NULL;
#line 3226 "DataSource.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*object_p = value->data[0].v_pointer;
#line 3230 "DataSource.c"
	} else {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*object_p = source_snapshot_ref (value->data[0].v_pointer);
#line 3234 "DataSource.c"
	}
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return NULL;
#line 3238 "DataSource.c"
}


GParamSpec* param_spec_source_snapshot (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecSourceSnapshot* spec;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_SOURCE_SNAPSHOT), NULL);
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return G_PARAM_SPEC (spec);
#line 3252 "DataSource.c"
}


gpointer value_get_source_snapshot (const GValue* value) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SOURCE_SNAPSHOT), NULL);
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return value->data[0].v_pointer;
#line 3261 "DataSource.c"
}


void value_set_source_snapshot (GValue* value, gpointer v_object) {
	SourceSnapshot* old;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SOURCE_SNAPSHOT));
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	old = value->data[0].v_pointer;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (v_object) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SOURCE_SNAPSHOT));
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = v_object;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_snapshot_ref (value->data[0].v_pointer);
#line 3281 "DataSource.c"
	} else {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = NULL;
#line 3285 "DataSource.c"
	}
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (old) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_snapshot_unref (old);
#line 3291 "DataSource.c"
	}
}


void value_take_source_snapshot (GValue* value, gpointer v_object) {
	SourceSnapshot* old;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SOURCE_SNAPSHOT));
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	old = value->data[0].v_pointer;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (v_object) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SOURCE_SNAPSHOT));
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = v_object;
#line 3310 "DataSource.c"
	} else {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = NULL;
#line 3314 "DataSource.c"
	}
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (old) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_snapshot_unref (old);
#line 3320 "DataSource.c"
	}
}


static void source_snapshot_class_init (SourceSnapshotClass * klass) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_snapshot_parent_class = g_type_class_peek_parent (klass);
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_SNAPSHOT_CLASS (klass)->finalize = source_snapshot_finalize;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_type_class_add_private (klass, sizeof (SourceSnapshotPrivate));
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_SNAPSHOT_CLASS (klass)->notify_broken = source_snapshot_real_notify_broken;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_SNAPSHOT_CLASS (klass)->broken = source_snapshot_real_broken;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_new ("broken", TYPE_SOURCE_SNAPSHOT, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (SourceSnapshotClass, broken), NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 3338 "DataSource.c"
}


static void source_snapshot_instance_init (SourceSnapshot * self) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv = SOURCE_SNAPSHOT_GET_PRIVATE (self);
#line 447 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->snapshot_broken = FALSE;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->ref_count = 1;
#line 3349 "DataSource.c"
}


static void source_snapshot_finalize (SourceSnapshot* obj) {
	SourceSnapshot * self;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_SOURCE_SNAPSHOT, SourceSnapshot);
#line 3357 "DataSource.c"
}


GType source_snapshot_get_type (void) {
	static volatile gsize source_snapshot_type_id__volatile = 0;
	if (g_once_init_enter (&source_snapshot_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_source_snapshot_init, value_source_snapshot_free_value, value_source_snapshot_copy_value, value_source_snapshot_peek_pointer, "p", value_source_snapshot_collect_value, "p", value_source_snapshot_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (SourceSnapshotClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) source_snapshot_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SourceSnapshot), 0, (GInstanceInitFunc) source_snapshot_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType source_snapshot_type_id;
		source_snapshot_type_id = g_type_register_fundamental (g_type_fundamental_next (), "SourceSnapshot", &g_define_type_info, &g_define_type_fundamental_info, G_TYPE_FLAG_ABSTRACT);
		g_once_init_leave (&source_snapshot_type_id__volatile, source_snapshot_type_id);
	}
	return source_snapshot_type_id__volatile;
}


gpointer source_snapshot_ref (gpointer instance) {
	SourceSnapshot* self;
	self = instance;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_atomic_int_inc (&self->ref_count);
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return instance;
#line 3382 "DataSource.c"
}


void source_snapshot_unref (gpointer instance) {
	SourceSnapshot* self;
	self = instance;
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		SOURCE_SNAPSHOT_GET_CLASS (self)->finalize (self);
#line 446 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 3395 "DataSource.c"
	}
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _result_;
	const gchar* _tmp1_;
#line 1075 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1076 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1076 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1077 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1077 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1078 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	result = _result_;
#line 1078 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	return result;
#line 3419 "DataSource.c"
}


SourceBacklink* source_backlink_construct (GType object_type, const gchar* name, const gchar* value) {
	SourceBacklink* self = NULL;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
	const gchar* _tmp3_;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_;
	gchar* _tmp6_ = NULL;
#line 498 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 498 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (value != NULL, NULL);
#line 498 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = (SourceBacklink*) g_type_create_instance (object_type);
#line 499 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = name;
#line 499 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = value;
#line 499 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = source_backlink_validate_name_value (_tmp0_, _tmp1_);
#line 499 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp2_, "validate_name_value(name, value)");
#line 501 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = name;
#line 501 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = string_strip (_tmp3_);
#line 501 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (self->priv->_name);
#line 501 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->_name = _tmp4_;
#line 502 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = value;
#line 502 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = string_strip (_tmp5_);
#line 502 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (self->priv->_value);
#line 502 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->_value = _tmp6_;
#line 498 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return self;
#line 3464 "DataSource.c"
}


SourceBacklink* source_backlink_new (const gchar* name, const gchar* value) {
#line 498 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return source_backlink_construct (TYPE_SOURCE_BACKLINK, name, value);
#line 3471 "DataSource.c"
}


SourceBacklink* source_backlink_construct_from_source (GType object_type, DataSource* source) {
	SourceBacklink* self = NULL;
	DataSource* _tmp0_;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_;
	gchar* _tmp3_ = NULL;
	DataSource* _tmp4_;
	gint64 _tmp5_ = 0LL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_;
	gchar* _tmp8_ = NULL;
	const gchar* _tmp9_;
	const gchar* _tmp10_;
	gboolean _tmp11_ = FALSE;
#line 505 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (source), NULL);
#line 505 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = (SourceBacklink*) g_type_create_instance (object_type);
#line 506 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = source;
#line 506 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = data_source_get_typename (_tmp0_);
#line 506 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = _tmp1_;
#line 506 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = string_strip (_tmp2_);
#line 506 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (self->priv->_name);
#line 506 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->_name = _tmp3_;
#line 506 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (_tmp2_);
#line 507 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = source;
#line 507 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = data_source_get_instance_id (_tmp4_);
#line 507 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = g_strdup_printf ("%" G_GINT64_FORMAT, _tmp5_);
#line 507 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp7_ = _tmp6_;
#line 507 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp8_ = string_strip (_tmp7_);
#line 507 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (self->priv->_value);
#line 507 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->_value = _tmp8_;
#line 507 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (_tmp7_);
#line 509 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp9_ = self->priv->_name;
#line 509 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp10_ = self->priv->_value;
#line 509 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp11_ = source_backlink_validate_name_value (_tmp9_, _tmp10_);
#line 509 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp11_, "validate_name_value(_name, _value)");
#line 505 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return self;
#line 3533 "DataSource.c"
}


SourceBacklink* source_backlink_new_from_source (DataSource* source) {
#line 505 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return source_backlink_construct_from_source (TYPE_SOURCE_BACKLINK, source);
#line 3540 "DataSource.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
	gchar* _tmp1_ = NULL;
#line 1228 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1228 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1229 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1229 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1229 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1229 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	return result;
#line 3560 "DataSource.c"
}


static gboolean source_backlink_validate_name_value (const gchar* name, const gchar* value) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp6_;
	gboolean _tmp9_;
#line 512 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (name != NULL, FALSE);
#line 512 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (value != NULL, FALSE);
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = name;
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = string_contains (_tmp2_, "=");
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (!_tmp3_) {
#line 3582 "DataSource.c"
		const gchar* _tmp4_;
		gboolean _tmp5_ = FALSE;
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp4_ = name;
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp5_ = string_contains (_tmp4_, "|");
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp1_ = !_tmp5_;
#line 3591 "DataSource.c"
	} else {
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp1_ = FALSE;
#line 3595 "DataSource.c"
	}
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = _tmp1_;
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp6_) {
#line 3601 "DataSource.c"
		const gchar* _tmp7_;
		gboolean _tmp8_ = FALSE;
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp7_ = value;
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp8_ = string_contains (_tmp7_, "|");
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = !_tmp8_;
#line 3610 "DataSource.c"
	} else {
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp0_ = FALSE;
#line 3614 "DataSource.c"
	}
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp9_ = _tmp0_;
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp9_;
#line 513 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 3622 "DataSource.c"
}


gchar* source_backlink_to_string (SourceBacklink* self) {
	gchar* result = NULL;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_ = NULL;
#line 516 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_SOURCE_BACKLINK (self), NULL);
#line 517 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = source_backlink_get_name (self);
#line 517 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = _tmp0_;
#line 517 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = source_backlink_get_value (self);
#line 517 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = _tmp2_;
#line 517 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = g_strdup_printf ("Backlink %s=%s", _tmp1_, _tmp3_);
#line 517 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp4_;
#line 517 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 3649 "DataSource.c"
}


guint source_backlink_hash_func (void* key) {
	guint result = 0U;
	void* _tmp0_;
	SourceBacklink* backlink;
	GHashFunc _tmp1_;
	const gchar* _tmp2_;
	guint _tmp3_ = 0U;
	GHashFunc _tmp4_;
	const gchar* _tmp5_;
	guint _tmp6_ = 0U;
#line 521 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = key;
#line 521 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	backlink = (SourceBacklink*) _tmp0_;
#line 523 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = g_str_hash;
#line 523 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = G_TYPE_CHECK_INSTANCE_CAST (backlink, TYPE_SOURCE_BACKLINK, SourceBacklink)->priv->_name;
#line 523 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = _tmp1_ (_tmp2_);
#line 523 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = g_str_hash;
#line 523 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = G_TYPE_CHECK_INSTANCE_CAST (backlink, TYPE_SOURCE_BACKLINK, SourceBacklink)->priv->_value;
#line 523 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = _tmp4_ (_tmp5_);
#line 523 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp3_ ^ _tmp6_;
#line 523 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 3683 "DataSource.c"
}


gboolean source_backlink_equal_func (void* a, void* b) {
	gboolean result = FALSE;
	void* _tmp0_;
	SourceBacklink* alink;
	void* _tmp1_;
	SourceBacklink* blink;
	gboolean _tmp2_ = FALSE;
	GEqualFunc _tmp3_;
	SourceBacklink* _tmp4_;
	const gchar* _tmp5_;
	SourceBacklink* _tmp6_;
	const gchar* _tmp7_;
	gboolean _tmp8_ = FALSE;
	gboolean _tmp15_;
#line 527 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = a;
#line 527 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	alink = (SourceBacklink*) _tmp0_;
#line 528 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = b;
#line 528 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	blink = (SourceBacklink*) _tmp1_;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = g_str_equal;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = alink;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, TYPE_SOURCE_BACKLINK, SourceBacklink)->priv->_name;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = blink;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp7_ = G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, TYPE_SOURCE_BACKLINK, SourceBacklink)->priv->_name;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp8_ = _tmp3_ (_tmp5_, _tmp7_);
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp8_) {
#line 3723 "DataSource.c"
		GEqualFunc _tmp9_;
		SourceBacklink* _tmp10_;
		const gchar* _tmp11_;
		SourceBacklink* _tmp12_;
		const gchar* _tmp13_;
		gboolean _tmp14_ = FALSE;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp9_ = g_str_equal;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp10_ = alink;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp11_ = G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, TYPE_SOURCE_BACKLINK, SourceBacklink)->priv->_value;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp12_ = blink;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp13_ = G_TYPE_CHECK_INSTANCE_CAST (_tmp12_, TYPE_SOURCE_BACKLINK, SourceBacklink)->priv->_value;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp14_ = _tmp9_ (_tmp11_, _tmp13_);
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = _tmp14_;
#line 3744 "DataSource.c"
	} else {
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = FALSE;
#line 3748 "DataSource.c"
	}
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp15_ = _tmp2_;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp15_;
#line 530 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 3756 "DataSource.c"
}


const gchar* source_backlink_get_name (SourceBacklink* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 473 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_SOURCE_BACKLINK (self), NULL);
#line 474 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->_name;
#line 474 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp0_;
#line 474 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 3771 "DataSource.c"
}


const gchar* source_backlink_get_value (SourceBacklink* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 479 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_SOURCE_BACKLINK (self), NULL);
#line 480 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->_value;
#line 480 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp0_;
#line 480 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 3786 "DataSource.c"
}


const gchar* source_backlink_get_typename (SourceBacklink* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 486 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_SOURCE_BACKLINK (self), NULL);
#line 487 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->_name;
#line 487 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp0_;
#line 487 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 3801 "DataSource.c"
}


static gint64 int64_parse (const gchar* str) {
	gint64 result = 0LL;
	const gchar* _tmp0_;
	gint64 _tmp1_ = 0LL;
#line 593 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0LL);
#line 594 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 594 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtoll (_tmp0_, NULL, (guint) 0);
#line 594 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 594 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	return result;
#line 3819 "DataSource.c"
}


gint64 source_backlink_get_instance_id (SourceBacklink* self) {
	gint64 result;
	const gchar* _tmp0_;
	gint64 _tmp1_ = 0LL;
#line 493 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_SOURCE_BACKLINK (self), 0LL);
#line 494 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->_value;
#line 494 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = int64_parse (_tmp0_);
#line 494 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp1_;
#line 494 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 3837 "DataSource.c"
}


static void value_source_backlink_init (GValue* value) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	value->data[0].v_pointer = NULL;
#line 3844 "DataSource.c"
}


static void value_source_backlink_free_value (GValue* value) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (value->data[0].v_pointer) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_backlink_unref (value->data[0].v_pointer);
#line 3853 "DataSource.c"
	}
}


static void value_source_backlink_copy_value (const GValue* src_value, GValue* dest_value) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (src_value->data[0].v_pointer) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		dest_value->data[0].v_pointer = source_backlink_ref (src_value->data[0].v_pointer);
#line 3863 "DataSource.c"
	} else {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		dest_value->data[0].v_pointer = NULL;
#line 3867 "DataSource.c"
	}
}


static gpointer value_source_backlink_peek_pointer (const GValue* value) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return value->data[0].v_pointer;
#line 3875 "DataSource.c"
}


static gchar* value_source_backlink_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (collect_values[0].v_pointer) {
#line 3882 "DataSource.c"
		SourceBacklink* object;
		object = collect_values[0].v_pointer;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		if (object->parent_instance.g_class == NULL) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 3889 "DataSource.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 3893 "DataSource.c"
		}
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = source_backlink_ref (object);
#line 3897 "DataSource.c"
	} else {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = NULL;
#line 3901 "DataSource.c"
	}
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return NULL;
#line 3905 "DataSource.c"
}


static gchar* value_source_backlink_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	SourceBacklink** object_p;
	object_p = collect_values[0].v_pointer;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (!object_p) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 3916 "DataSource.c"
	}
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (!value->data[0].v_pointer) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*object_p = NULL;
#line 3922 "DataSource.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*object_p = value->data[0].v_pointer;
#line 3926 "DataSource.c"
	} else {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*object_p = source_backlink_ref (value->data[0].v_pointer);
#line 3930 "DataSource.c"
	}
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return NULL;
#line 3934 "DataSource.c"
}


GParamSpec* param_spec_source_backlink (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecSourceBacklink* spec;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_SOURCE_BACKLINK), NULL);
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return G_PARAM_SPEC (spec);
#line 3948 "DataSource.c"
}


gpointer value_get_source_backlink (const GValue* value) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SOURCE_BACKLINK), NULL);
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return value->data[0].v_pointer;
#line 3957 "DataSource.c"
}


void value_set_source_backlink (GValue* value, gpointer v_object) {
	SourceBacklink* old;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SOURCE_BACKLINK));
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	old = value->data[0].v_pointer;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (v_object) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SOURCE_BACKLINK));
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = v_object;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_backlink_ref (value->data[0].v_pointer);
#line 3977 "DataSource.c"
	} else {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = NULL;
#line 3981 "DataSource.c"
	}
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (old) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_backlink_unref (old);
#line 3987 "DataSource.c"
	}
}


void value_take_source_backlink (GValue* value, gpointer v_object) {
	SourceBacklink* old;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SOURCE_BACKLINK));
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	old = value->data[0].v_pointer;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (v_object) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SOURCE_BACKLINK));
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = v_object;
#line 4006 "DataSource.c"
	} else {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = NULL;
#line 4010 "DataSource.c"
	}
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (old) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_backlink_unref (old);
#line 4016 "DataSource.c"
	}
}


static void source_backlink_class_init (SourceBacklinkClass * klass) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_backlink_parent_class = g_type_class_peek_parent (klass);
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_BACKLINK_CLASS (klass)->finalize = source_backlink_finalize;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_type_class_add_private (klass, sizeof (SourceBacklinkPrivate));
#line 4028 "DataSource.c"
}


static void source_backlink_instance_init (SourceBacklink * self) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv = SOURCE_BACKLINK_GET_PRIVATE (self);
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->ref_count = 1;
#line 4037 "DataSource.c"
}


static void source_backlink_finalize (SourceBacklink* obj) {
	SourceBacklink * self;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_SOURCE_BACKLINK, SourceBacklink);
#line 469 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (self->priv->_name);
#line 470 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (self->priv->_value);
#line 4049 "DataSource.c"
}


GType source_backlink_get_type (void) {
	static volatile gsize source_backlink_type_id__volatile = 0;
	if (g_once_init_enter (&source_backlink_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_source_backlink_init, value_source_backlink_free_value, value_source_backlink_copy_value, value_source_backlink_peek_pointer, "p", value_source_backlink_collect_value, "p", value_source_backlink_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (SourceBacklinkClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) source_backlink_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SourceBacklink), 0, (GInstanceInitFunc) source_backlink_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType source_backlink_type_id;
		source_backlink_type_id = g_type_register_fundamental (g_type_fundamental_next (), "SourceBacklink", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&source_backlink_type_id__volatile, source_backlink_type_id);
	}
	return source_backlink_type_id__volatile;
}


gpointer source_backlink_ref (gpointer instance) {
	SourceBacklink* self;
	self = instance;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_atomic_int_inc (&self->ref_count);
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return instance;
#line 4074 "DataSource.c"
}


void source_backlink_unref (gpointer instance) {
	SourceBacklink* self;
	self = instance;
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		SOURCE_BACKLINK_GET_CLASS (self)->finalize (self);
#line 468 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 4087 "DataSource.c"
	}
}


static void _source_proxy_on_source_added_data_collection_items_added (DataCollection* _sender, GeeIterable* added, gpointer self) {
#line 593 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_on_source_added (self, added);
#line 4095 "DataSource.c"
}


static void _source_proxy_on_snapshot_broken_source_snapshot_broken (SourceSnapshot* _sender, gpointer self) {
#line 582 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_on_snapshot_broken (self);
#line 4102 "DataSource.c"
}


SourceProxy* source_proxy_construct (GType object_type, DataSource* source) {
	SourceProxy* self = NULL;
	DataSource* _tmp0_;
	gint64 _tmp1_ = 0LL;
	DataSource* _tmp2_;
	gchar* _tmp3_ = NULL;
	DataSource* _tmp4_;
	SourceSnapshot* _tmp5_ = NULL;
	SourceSnapshot* _tmp6_;
	SourceSnapshot* _tmp7_;
	DataSource* _tmp8_;
	DataSource* _tmp9_;
	DataCollection* _tmp10_ = NULL;
	SourceCollection* _tmp11_;
	SourceCollection* _tmp12_;
#line 576 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_DATA_SOURCE (source), NULL);
#line 576 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = (SourceProxy*) g_type_create_instance (object_type);
#line 577 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = source;
#line 577 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = data_object_get_object_id (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, TYPE_DATA_OBJECT, DataObject));
#line 577 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->object_id = _tmp1_;
#line 578 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = source;
#line 578 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp3_ = data_object_to_string (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, TYPE_DATA_OBJECT, DataObject));
#line 578 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (self->priv->source_string);
#line 578 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->source_string = _tmp3_;
#line 580 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp4_ = source;
#line 580 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = data_source_save_snapshot (_tmp4_);
#line 580 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_source_snapshot_unref0 (self->priv->snapshot);
#line 580 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->snapshot = _tmp5_;
#line 581 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = self->priv->snapshot;
#line 581 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp6_ != NULL, "snapshot != null");
#line 582 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp7_ = self->priv->snapshot;
#line 582 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_connect (_tmp7_, "broken", (GCallback) _source_proxy_on_snapshot_broken_source_snapshot_broken, self);
#line 584 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp8_ = source;
#line 584 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_set_source (self, _tmp8_);
#line 586 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp9_ = source;
#line 586 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp10_ = data_object_get_membership (G_TYPE_CHECK_INSTANCE_CAST (_tmp9_, TYPE_DATA_OBJECT, DataObject));
#line 586 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_data_collection_unref0 (self->priv->membership);
#line 586 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->membership = G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, TYPE_SOURCE_COLLECTION, SourceCollection);
#line 587 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp11_ = self->priv->membership;
#line 587 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp11_ != NULL, "membership != null");
#line 588 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp12_ = self->priv->membership;
#line 588 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp12_, TYPE_DATA_COLLECTION, DataCollection), "items-added", (GCallback) _source_proxy_on_source_added_data_collection_items_added, self);
#line 576 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return self;
#line 4177 "DataSource.c"
}


static DataSource* source_proxy_real_reconstitute (SourceProxy* self, gint64 object_id, SourceSnapshot* snapshot) {
#line 596 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_critical ("Type `%s' does not implement abstract method `source_proxy_reconstitute'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 596 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return NULL;
#line 4186 "DataSource.c"
}


DataSource* source_proxy_reconstitute (SourceProxy* self, gint64 object_id, SourceSnapshot* snapshot) {
#line 596 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_SOURCE_PROXY (self), NULL);
#line 596 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return SOURCE_PROXY_GET_CLASS (self)->reconstitute (self, object_id, snapshot);
#line 4195 "DataSource.c"
}


static void source_proxy_real_notify_reconstituted (SourceProxy* self, DataSource* source) {
	DataSource* _tmp0_;
#line 598 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (source));
#line 599 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = source;
#line 599 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_emit_by_name (self, "reconstituted", _tmp0_);
#line 4207 "DataSource.c"
}


void source_proxy_notify_reconstituted (SourceProxy* self, DataSource* source) {
#line 598 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_PROXY (self));
#line 598 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_GET_CLASS (self)->notify_reconstituted (self, source);
#line 4216 "DataSource.c"
}


static void source_proxy_real_notify_dehydrated (SourceProxy* self) {
#line 603 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_emit_by_name (self, "dehydrated");
#line 4223 "DataSource.c"
}


void source_proxy_notify_dehydrated (SourceProxy* self) {
#line 602 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_PROXY (self));
#line 602 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_GET_CLASS (self)->notify_dehydrated (self);
#line 4232 "DataSource.c"
}


static void source_proxy_real_notify_broken (SourceProxy* self) {
#line 607 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_emit_by_name (self, "broken");
#line 4239 "DataSource.c"
}


void source_proxy_notify_broken (SourceProxy* self) {
#line 606 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_PROXY (self));
#line 606 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_GET_CLASS (self)->notify_broken (self);
#line 4248 "DataSource.c"
}


static void source_proxy_on_snapshot_broken (SourceProxy* self) {
#line 610 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_PROXY (self));
#line 611 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_drop_source (self);
#line 613 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_notify_broken (self);
#line 4259 "DataSource.c"
}


static void _source_proxy_on_destroyed_data_source_destroyed (DataSource* _sender, gpointer self) {
#line 620 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_on_destroyed (self);
#line 4266 "DataSource.c"
}


static void source_proxy_set_source (SourceProxy* self, DataSource* source) {
	DataSource* _tmp0_;
	DataSource* _tmp1_;
	DataSource* _tmp2_;
#line 616 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_PROXY (self));
#line 616 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (source));
#line 617 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_drop_source (self);
#line 619 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = source;
#line 619 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 619 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (self->priv->source);
#line 619 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->source = _tmp1_;
#line 620 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = source;
#line 620 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_connect (_tmp2_, "destroyed", (GCallback) _source_proxy_on_destroyed_data_source_destroyed, self);
#line 4292 "DataSource.c"
}


static void source_proxy_drop_source (SourceProxy* self) {
	DataSource* _tmp0_;
	DataSource* _tmp1_;
	guint _tmp2_ = 0U;
#line 623 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_PROXY (self));
#line 624 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->source;
#line 624 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp0_ == NULL) {
#line 625 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return;
#line 4308 "DataSource.c"
	}
#line 627 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = self->priv->source;
#line 627 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_parse_name ("destroyed", TYPE_DATA_SOURCE, &_tmp2_, NULL, FALSE);
#line 627 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_handlers_disconnect_matched (_tmp1_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp2_, 0, NULL, (GCallback) _source_proxy_on_destroyed_data_source_destroyed, self);
#line 628 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (self->priv->source);
#line 628 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv->source = NULL;
#line 4320 "DataSource.c"
}


DataSource* source_proxy_get_source (SourceProxy* self) {
	DataSource* result = NULL;
	SourceSnapshot* _tmp0_;
	gboolean _tmp1_ = FALSE;
	DataSource* _tmp2_;
	gint64 _tmp5_;
	SourceSnapshot* _tmp6_;
	DataSource* _tmp7_ = NULL;
	DataSource* new_source;
	DataSource* _tmp8_;
	DataSource* _tmp9_;
	gint64 _tmp12_;
	DataSource* _tmp13_;
	gint64 _tmp14_ = 0LL;
	DataSource* _tmp17_;
	gint64 _tmp18_ = 0LL;
	gint64 _tmp19_;
	SourceCollection* _tmp20_;
	DataSource* _tmp21_;
	gboolean _tmp22_ = FALSE;
	DataSource* _tmp23_;
	DataSource* _tmp24_;
#line 631 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_SOURCE_PROXY (self), NULL);
#line 632 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->snapshot;
#line 632 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp1_ = source_snapshot_is_broken (_tmp0_);
#line 632 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp1_) {
#line 633 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		result = NULL;
#line 633 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return result;
#line 4358 "DataSource.c"
	}
#line 635 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp2_ = self->priv->source;
#line 635 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp2_ != NULL) {
#line 4364 "DataSource.c"
		DataSource* _tmp3_;
		DataSource* _tmp4_;
#line 636 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp3_ = self->priv->source;
#line 636 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp4_ = _g_object_ref0 (_tmp3_);
#line 636 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		result = _tmp4_;
#line 636 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return result;
#line 4375 "DataSource.c"
	}
#line 641 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp5_ = self->priv->object_id;
#line 641 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp6_ = self->priv->snapshot;
#line 641 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp7_ = source_proxy_reconstitute (self, _tmp5_, _tmp6_);
#line 641 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	new_source = _tmp7_;
#line 642 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp8_ = self->priv->source;
#line 642 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp9_ = new_source;
#line 642 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp8_ != _tmp9_) {
#line 4391 "DataSource.c"
		DataSource* _tmp10_;
		DataSource* _tmp11_;
#line 643 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp10_ = new_source;
#line 643 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp11_ = _g_object_ref0 (_tmp10_);
#line 643 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_object_unref0 (self->priv->source);
#line 643 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		self->priv->source = _tmp11_;
#line 4402 "DataSource.c"
	}
#line 644 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp12_ = self->priv->object_id;
#line 644 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp13_ = self->priv->source;
#line 644 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp14_ = data_object_get_object_id (G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, TYPE_DATA_OBJECT, DataObject));
#line 644 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp12_ != _tmp14_) {
#line 4412 "DataSource.c"
		DataSource* _tmp15_;
		gint64 _tmp16_ = 0LL;
#line 645 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp15_ = new_source;
#line 645 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp16_ = data_object_get_object_id (G_TYPE_CHECK_INSTANCE_CAST (_tmp15_, TYPE_DATA_OBJECT, DataObject));
#line 645 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		self->priv->object_id = _tmp16_;
#line 4421 "DataSource.c"
	}
#line 646 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp17_ = self->priv->source;
#line 646 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp18_ = data_object_get_object_id (G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, TYPE_DATA_OBJECT, DataObject));
#line 646 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp19_ = self->priv->object_id;
#line 646 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp18_ == _tmp19_, "source.get_object_id() == object_id");
#line 647 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp20_ = self->priv->membership;
#line 647 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp21_ = self->priv->source;
#line 647 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp22_ = data_collection_contains (G_TYPE_CHECK_INSTANCE_CAST (_tmp20_, TYPE_DATA_COLLECTION, DataCollection), G_TYPE_CHECK_INSTANCE_CAST (_tmp21_, TYPE_DATA_OBJECT, DataObject));
#line 647 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp22_, "membership.contains(source)");
#line 649 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp23_ = self->priv->source;
#line 649 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp24_ = _g_object_ref0 (_tmp23_);
#line 649 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	result = _tmp24_;
#line 649 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (new_source);
#line 649 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return result;
#line 4449 "DataSource.c"
}


static void source_proxy_on_destroyed (SourceProxy* self) {
	DataSource* _tmp0_;
#line 652 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_PROXY (self));
#line 653 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->source;
#line 653 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_vala_assert (_tmp0_ != NULL, "source != null");
#line 656 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_drop_source (self);
#line 658 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_notify_dehydrated (self);
#line 4465 "DataSource.c"
}


static void source_proxy_on_source_added (SourceProxy* self, GeeIterable* added) {
	DataSource* _tmp0_;
#line 661 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_SOURCE_PROXY (self));
#line 661 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (GEE_IS_ITERABLE (added));
#line 663 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->source;
#line 663 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (_tmp0_ != NULL) {
#line 664 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return;
#line 4481 "DataSource.c"
	}
	{
		GeeIterable* _tmp1_;
		GeeIterator* _tmp2_ = NULL;
		GeeIterator* _object_it;
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp1_ = added;
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_tmp2_ = gee_iterable_iterator (_tmp1_);
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_object_it = _tmp2_;
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		while (TRUE) {
#line 4495 "DataSource.c"
			GeeIterator* _tmp3_;
			gboolean _tmp4_ = FALSE;
			GeeIterator* _tmp5_;
			gpointer _tmp6_ = NULL;
			DataObject* object;
			DataObject* _tmp7_;
			gint64 _tmp8_ = 0LL;
			gint64 _tmp9_;
			DataObject* _tmp10_;
			DataObject* _tmp11_;
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp3_ = _object_it;
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp4_ = gee_iterator_next (_tmp3_);
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			if (!_tmp4_) {
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				break;
#line 4514 "DataSource.c"
			}
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp5_ = _object_it;
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp6_ = gee_iterator_get (_tmp5_);
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			object = (DataObject*) _tmp6_;
#line 668 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp7_ = object;
#line 668 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp8_ = data_object_get_object_id (_tmp7_);
#line 668 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp9_ = self->priv->object_id;
#line 668 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			if (_tmp8_ != _tmp9_) {
#line 669 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				_g_object_unref0 (object);
#line 669 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
				continue;
#line 4534 "DataSource.c"
			}
#line 672 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp10_ = object;
#line 672 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			source_proxy_set_source (self, G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, TYPE_DATA_SOURCE, DataSource));
#line 674 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_tmp11_ = object;
#line 674 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			source_proxy_notify_reconstituted (self, G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, TYPE_DATA_SOURCE, DataSource));
#line 676 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			_g_object_unref0 (object);
#line 676 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			break;
#line 4548 "DataSource.c"
		}
#line 666 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		_g_object_unref0 (_object_it);
#line 4552 "DataSource.c"
	}
}


static void source_proxy_real_reconstituted (SourceProxy* self, DataSource* source) {
#line 563 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (IS_DATA_SOURCE (source));
#line 4560 "DataSource.c"
}


static void source_proxy_real_dehydrated (SourceProxy* self) {
}


static void source_proxy_real_broken (SourceProxy* self) {
}


static void value_source_proxy_init (GValue* value) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	value->data[0].v_pointer = NULL;
#line 4575 "DataSource.c"
}


static void value_source_proxy_free_value (GValue* value) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (value->data[0].v_pointer) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_proxy_unref (value->data[0].v_pointer);
#line 4584 "DataSource.c"
	}
}


static void value_source_proxy_copy_value (const GValue* src_value, GValue* dest_value) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (src_value->data[0].v_pointer) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		dest_value->data[0].v_pointer = source_proxy_ref (src_value->data[0].v_pointer);
#line 4594 "DataSource.c"
	} else {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		dest_value->data[0].v_pointer = NULL;
#line 4598 "DataSource.c"
	}
}


static gpointer value_source_proxy_peek_pointer (const GValue* value) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return value->data[0].v_pointer;
#line 4606 "DataSource.c"
}


static gchar* value_source_proxy_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (collect_values[0].v_pointer) {
#line 4613 "DataSource.c"
		SourceProxy* object;
		object = collect_values[0].v_pointer;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		if (object->parent_instance.g_class == NULL) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 4620 "DataSource.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 4624 "DataSource.c"
		}
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = source_proxy_ref (object);
#line 4628 "DataSource.c"
	} else {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = NULL;
#line 4632 "DataSource.c"
	}
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return NULL;
#line 4636 "DataSource.c"
}


static gchar* value_source_proxy_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	SourceProxy** object_p;
	object_p = collect_values[0].v_pointer;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (!object_p) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 4647 "DataSource.c"
	}
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (!value->data[0].v_pointer) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*object_p = NULL;
#line 4653 "DataSource.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*object_p = value->data[0].v_pointer;
#line 4657 "DataSource.c"
	} else {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		*object_p = source_proxy_ref (value->data[0].v_pointer);
#line 4661 "DataSource.c"
	}
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return NULL;
#line 4665 "DataSource.c"
}


GParamSpec* param_spec_source_proxy (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecSourceProxy* spec;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_SOURCE_PROXY), NULL);
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return G_PARAM_SPEC (spec);
#line 4679 "DataSource.c"
}


gpointer value_get_source_proxy (const GValue* value) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SOURCE_PROXY), NULL);
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return value->data[0].v_pointer;
#line 4688 "DataSource.c"
}


void value_set_source_proxy (GValue* value, gpointer v_object) {
	SourceProxy* old;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SOURCE_PROXY));
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	old = value->data[0].v_pointer;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (v_object) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SOURCE_PROXY));
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = v_object;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_proxy_ref (value->data[0].v_pointer);
#line 4708 "DataSource.c"
	} else {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = NULL;
#line 4712 "DataSource.c"
	}
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (old) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_proxy_unref (old);
#line 4718 "DataSource.c"
	}
}


void value_take_source_proxy (GValue* value, gpointer v_object) {
	SourceProxy* old;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SOURCE_PROXY));
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	old = value->data[0].v_pointer;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (v_object) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SOURCE_PROXY));
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = v_object;
#line 4737 "DataSource.c"
	} else {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		value->data[0].v_pointer = NULL;
#line 4741 "DataSource.c"
	}
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (old) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		source_proxy_unref (old);
#line 4747 "DataSource.c"
	}
}


static void source_proxy_class_init (SourceProxyClass * klass) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_parent_class = g_type_class_peek_parent (klass);
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_CLASS (klass)->finalize = source_proxy_finalize;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_type_class_add_private (klass, sizeof (SourceProxyPrivate));
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_CLASS (klass)->reconstitute = source_proxy_real_reconstitute;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_CLASS (klass)->notify_reconstituted = source_proxy_real_notify_reconstituted;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_CLASS (klass)->notify_dehydrated = source_proxy_real_notify_dehydrated;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_CLASS (klass)->notify_broken = source_proxy_real_notify_broken;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_CLASS (klass)->reconstituted = source_proxy_real_reconstituted;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_CLASS (klass)->dehydrated = source_proxy_real_dehydrated;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	SOURCE_PROXY_CLASS (klass)->broken = source_proxy_real_broken;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_new ("reconstituted", TYPE_SOURCE_PROXY, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (SourceProxyClass, reconstituted), NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, TYPE_DATA_SOURCE);
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_new ("dehydrated", TYPE_SOURCE_PROXY, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (SourceProxyClass, dehydrated), NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_new ("broken", TYPE_SOURCE_PROXY, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (SourceProxyClass, broken), NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 4779 "DataSource.c"
}


static void source_proxy_instance_init (SourceProxy * self) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->priv = SOURCE_PROXY_GET_PRIVATE (self);
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self->ref_count = 1;
#line 4788 "DataSource.c"
}


static void source_proxy_finalize (SourceProxy* obj) {
	SourceProxy * self;
	SourceCollection* _tmp0_;
	guint _tmp1_ = 0U;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_SOURCE_PROXY, SourceProxy);
#line 592 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	source_proxy_drop_source (self);
#line 593 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_tmp0_ = self->priv->membership;
#line 593 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_parse_name ("items-added", TYPE_DATA_COLLECTION, &_tmp1_, NULL, FALSE);
#line 593 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_signal_handlers_disconnect_matched (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, TYPE_DATA_COLLECTION, DataCollection), G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp1_, 0, NULL, (GCallback) _source_proxy_on_source_added_data_collection_items_added, self);
#line 556 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_free0 (self->priv->source_string);
#line 557 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_g_object_unref0 (self->priv->source);
#line 558 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_source_snapshot_unref0 (self->priv->snapshot);
#line 559 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	_data_collection_unref0 (self->priv->membership);
#line 4814 "DataSource.c"
}


GType source_proxy_get_type (void) {
	static volatile gsize source_proxy_type_id__volatile = 0;
	if (g_once_init_enter (&source_proxy_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_source_proxy_init, value_source_proxy_free_value, value_source_proxy_copy_value, value_source_proxy_peek_pointer, "p", value_source_proxy_collect_value, "p", value_source_proxy_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (SourceProxyClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) source_proxy_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SourceProxy), 0, (GInstanceInitFunc) source_proxy_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType source_proxy_type_id;
		source_proxy_type_id = g_type_register_fundamental (g_type_fundamental_next (), "SourceProxy", &g_define_type_info, &g_define_type_fundamental_info, G_TYPE_FLAG_ABSTRACT);
		g_once_init_leave (&source_proxy_type_id__volatile, source_proxy_type_id);
	}
	return source_proxy_type_id__volatile;
}


gpointer source_proxy_ref (gpointer instance) {
	SourceProxy* self;
	self = instance;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_atomic_int_inc (&self->ref_count);
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return instance;
#line 4839 "DataSource.c"
}


void source_proxy_unref (gpointer instance) {
	SourceProxy* self;
	self = instance;
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		SOURCE_PROXY_GET_CLASS (self)->finalize (self);
#line 554 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 4852 "DataSource.c"
	}
}


SourceProxy* proxyable_get_proxy (Proxyable* self) {
#line 682 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	g_return_val_if_fail (IS_PROXYABLE (self), NULL);
#line 682 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	return PROXYABLE_GET_INTERFACE (self)->get_proxy (self);
#line 4862 "DataSource.c"
}


static void proxyable_base_init (ProxyableIface * iface) {
#line 681 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	static gboolean initialized = FALSE;
#line 681 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
	if (!initialized) {
#line 681 "/home/iurt/rpmbuild/BUILD/shotwell-0.14.1/src/core/DataSource.vala"
		initialized = TRUE;
#line 4873 "DataSource.c"
	}
}


GType proxyable_get_type (void) {
	static volatile gsize proxyable_type_id__volatile = 0;
	if (g_once_init_enter (&proxyable_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (ProxyableIface), (GBaseInitFunc) proxyable_base_init, (GBaseFinalizeFunc) NULL, (GClassInitFunc) NULL, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
		GType proxyable_type_id;
		proxyable_type_id = g_type_register_static (G_TYPE_INTERFACE, "Proxyable", &g_define_type_info, 0);
		g_type_interface_add_prerequisite (proxyable_type_id, G_TYPE_OBJECT);
		g_once_init_leave (&proxyable_type_id__volatile, proxyable_type_id);
	}
	return proxyable_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



